ubuntu-dev-tools (0.211) unstable; urgency=medium

  [ Hector Cao ]
  * mk-sbuild: install qemu-user if qemu-user-static does not exist
    (LP: #2146418)

  [ Athos Ribeiro ]
  * submittodebian: do no run bzr if it is not present

 -- Benjamin Drung <bdrung@debian.org>  Tue, 23 Jun 2026 17:43:08 +0200

ubuntu-dev-tools (0.210) unstable; urgency=medium

  * Team upload

  [ Nick Rosbrook ]
  * d/control: Depends: dput-ng instead of dput (LP: #2147656)

  [ Nadzeya Hutsko ]
  * reverse-depends: print message when results are filtered out
    (LP: #2143989)

  [ Benjamin Drung ]
  * Format Python code with black 26
  * Bump Standards-Version to 4.7.4

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Thu, 16 Apr 2026 12:36:55 +0200

ubuntu-dev-tools (0.209) unstable; urgency=medium

  [ Colin Watson ]
  * Demote sudo to Recommends, and indicate which tools need it in the
    package description.

  [ Florent 'Skia' Jacquet ]
  * pm-helper: make use of YesNoQuestion

  [ Benjamin Drung ]
  * setup.py: specify type of data_files (Closes: #1127543, LP: #2143232)
  * Remove redundant Priority: optional field
  * Update year in copyright
  * Bump Standards-Version to 4.7.3

 -- Benjamin Drung <bdrung@debian.org>  Wed, 04 Mar 2026 22:16:02 +0100

ubuntu-dev-tools (0.208) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * ubuntu-build: consider amd64v3 as valid architecture

  [ Sebastien Bacher ]
  * ubuntu-build: fix non batch mode errors.

  [ Benjamin Drung ]
  * Format code with black and isort
  * ubuntutools/pullpkg.py: initialize vcscmd
  * make pylint and mypy happy
  * mark non-returning functions with typing.NoReturn
  * run-linters: add --errors-only mode and run this during package build
  * Drop Lintian overrides related to .pyc files
  * Drop obsolete Rules-Requires-Root: no
  * run mypy during package build
  * sponsor-patch: stop checking for bzr being present
  * Modernize SourcePackage._run_lintian()
  * requestsync: support pocket parameter in get_ubuntu_srcpkg (LP: #2115990)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 03 Dec 2025 16:33:47 +0100

ubuntu-dev-tools (0.207) unstable; urgency=medium

  * Team upload.

  [ Dan Streetman ]
  * Fix pull-lp-source --upload-queue (LP: #2110061)

  [ Colin Watson ]
  * Optimize Launchpad collection handling.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 15:58:34 +0100

ubuntu-dev-tools (0.206) unstable; urgency=medium

  [ Dan Bungert ]
  * mk-sbuild: enable pkgmaintainermangler

  [ Shengjing Zhu ]
  * import-bug-from-debian: package option is overridden and not used

  [ Fernando Bravo Hernández ]
  * Parsing arch parameter to getBinaryPackage() (LP: #2081861)

  [ Simon Quigley ]
  * Read ~/.devscripts in a more robust way, to ideally pick up multi-line
    variables (Closes: #725418).
  * mk-sbuild: default to using UTC for schroots (LP: #2097159).
  * syncpackage: s/syncblacklist/syncblocklist/g
  * syncpackage: Cache the sync blocklist in-memory, so it's not fetched
    multiple times when syncing more than one package.
  * syncpackage: Catch exceptions cleanly, simply skipping to the next
    package (erring on the side of caution) if there is an error doing the
    download (LP: #1943286).

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 04 Mar 2025 13:43:15 -0600

ubuntu-dev-tools (0.205) unstable; urgency=medium

  * [syncpackage] When syncing multiple packages, if one of the packages is in
    the sync blocklist, do not exit, simply continue.
  * [syncpackage] Do not use exit(1) on an error or exception unless it
    applies to all packages, instead return None so we can continue to the
    next package.
  * [syncpackage] Add support for -y or --yes, noted that it should be used
    with care.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 01 Mar 2025 11:29:54 -0600

ubuntu-dev-tools (0.204) unstable; urgency=medium

  [ Simon Quigley ]
  * Update Standards-Version to 4.7.1, no changes needed.
  * Add several Lintian overrides related to .pyc files.
  * Add my name to the copyright file.
  * Rename bitesize to lp-bitesize (Closes: #1076224).
  * Add a manpage for running-autopkgtests.
  * Add a large warning at the top of mk-sbuild encouraging the use of the
    unshare backend. This is to provide ample warning to users.
  * Remove mail line from default ~/.sbuildrc, to resolve the undeclared
    dependency on sendmail (Closes: #1074632).

  [ Julien Plissonneau Duquène ]
  * Fix reverse-depends -b crash on packages that b-d on themselves
    (Closes: #1087760).

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 24 Feb 2025 19:54:39 -0600

ubuntu-dev-tools (0.203) unstable; urgency=medium

  [ Steve Langasek ]
  * ubuntu-build: handle TOCTOU issue with the "can be retried" value on
    builds.
  * Recommend sbuild over pbuilder.  sbuild is the tool recommended by
    Ubuntu developers whose behavior most closely approximates Launchpad
    builds.

  [ Florent 'Skia' Jacquet ]
  * import-bug-from-debian: handle multipart message (Closes: #969510)

  [ Benjamin Drung ]
  * import-bug-from-debian: add type hints
  * Bump Standards-Version to 4.7.0
  * Bump year and add missing files to copyright
  * setup.py: add pm-helper
  * Format code with black and isort
  * Address several issues pointed out by Pylint
  * Depend on python3-yaml for pm-helper

 -- Benjamin Drung <bdrung@debian.org>  Sat, 02 Nov 2024 18:19:24 +0100

ubuntu-dev-tools (0.202) unstable; urgency=medium

  [ Steve Langasek ]
  * ubuntu-build: support --batch with no package names to retry all
  * ubuntu-build: in batch mode, print a count of packages retried
  * ubuntu-build: make the --arch option top-level.
    This gets rid of the fugly --arch2 option
  * ubuntu-build: support retrying builds in other states that failed-to-build
  * ubuntu-build: Handling of proposed vs release pocket default for ppas
  * ubuntu-build: update manpage

  [ Chris Peterson ]
  * Replace Depends on python3-launchpadlib with Depends on
    python3-launchpadlib-desktop (LP: #2049217)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 12 Apr 2024 23:33:14 -0500

ubuntu-dev-tools (0.201) unstable; urgency=medium

  * running-autopkgtests: fix packaging to make the script available
    (LP: #2055466)

 -- Chris Peterson <chris.peterson@canonical.com>  Thu, 29 Feb 2024 11:09:14 -0800

ubuntu-dev-tools (0.200) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Chris Peterson ]
  * Add support to see currently running autopkgtests (running-autopkgtests)
  * running-autopkgtests: use f-strings

  [ Athos Ribeiro ]
  * syncpackage: log LP authentication errors before halting.

  [ Ying-Chun Liu (PaulLiu) ]
  * Drop qemu-debootstrap
    qemu-debootstrap is deprecated for a while. In newer qemu release
    the command is totally removed. We can use debootstrap directly.
    Signed-off-by: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>

  [ Logan Rosen ]
  * Don't rely on debootstrap for validating Ubuntu distro

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Feb 2024 17:53:48 +0100

ubuntu-dev-tools (0.199) unstable; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Steve Langasek ]
  * Introduce a pm-helper tool.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 29 Jan 2024 10:03:22 -0600

ubuntu-dev-tools (0.198) unstable; urgency=medium

  * In check-mir, ignore debhelper-compat when checking the build
    dependencies. This is expected to be a build dependency of all packages,
    so warning about it in any way is surely a red herring.
  * Add proper support for virtual packages in check-mir, basing the
    determination solely off of binary packages. This is not expected to be a
    typical case.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 10 Jan 2024 20:04:02 -0600

ubuntu-dev-tools (0.197) unstable; urgency=medium

  * Update the manpage for syncpackage to reflect the ability to sync
    multiple packages at once.
  * When using pull-*-source to grab a package which already has a defined
    Vcs- field, display the exact same warning message `apt source` does.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 03 Oct 2023 14:01:25 -0500

ubuntu-dev-tools (0.196) unstable; urgency=medium

  * Allow the user to sync multiple packages at one time (LP: #1756748).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 04 Aug 2023 14:37:59 -0500

ubuntu-dev-tools (0.195) unstable; urgency=medium

  * Add support for the non-free-firmware components in all tools already
    referencing non-free.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 26 Jul 2023 13:03:31 -0500

ubuntu-dev-tools (0.194) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * ubuntu-build: For some reasons, now you need to be authenticated before
    trying to use the "PersonTeam" class features.
    Do it at the begin instead of replicating the same code inside the
    tool itself.

  [ Steve Langasek ]
  * Remove references to deprecated
    http://people.canonical.com/~ubuntu-archive.
  * Remove references to architectures not supported in any active
    Ubuntu release.
  * Remove references to ftpmaster.internal.  When this name is resolvable
    but firewalled, syncpackage hangs; and these are tools for developers,
    not for running in an automated context in the DCs where
    ftpmaster.internal is reachable.
  * Excise all references to cdbs (including in test cases)
  * Set apt preferences for the -proposed pocket in mk-sbuild so that
    it works as expected for lunar and forward.

  [ Robie Basak ]
  * ubuntutools/misc: swap iter_content for raw stream with "Accept-Encoding:
    identity" to fix .diff.gz downloads (LP: #2025748).

  [ Vladimir Petko ]
  * Fix a typo introduced in the last upload that made mk-sbuild fail
    unconditionally.  LP: #2017177.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 08:42:05 +0200

ubuntu-dev-tools (0.193) unstable; urgency=medium

  * Don't run linters at build time, or in autopkgtests. (Closes: #1031436).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Feb 2023 13:19:56 -0400

ubuntu-dev-tools (0.192) unstable; urgency=medium

  [ Benjamin Drung ]
  * sponsor-patch:
    + Ignore exit code 1 of debdiff call.
    + Use --skip-patches instead of --no-preparation with dpkg-source -x.
  * Demote bzr/brz from Recommends to Suggests, as nowadays git is the way.
    Closes: #940531
  * Use PEP440 compliant version in setup.py (LP: #1991606)
  * Fix issues found by flake8 on the Python scripts
  * Check Python scripts with flake8 again
  * Format Python code with black and run black during package build
  * Sort Python imports with isort and run isort during package build
  * Replace deprecated optparse with argparse
  * requestbackport: Remove useless loop from locate_package
  * reverse-depends: Restore field titles format
  * test: Fix deprecated return value for test case
  * Fix all errors and warnings found by pylint and implement most refactorings
    and conventions. Run pylint during package build again.
  * Bump Standards-Version to 4.6.2
  * Drop unneeded X-Python3-Version from d/control

  [ Masahiro Yamada ]
  * mk-sbuild:
    + Handle the new location of the Debian bullseye security archive.
      Closes: #1001832; LP: #1955116

  [ Mattia Rizzolo ]
  * requestbackport:
    + Apply patch from Krytarik Raido and Unit 193 to update the template and
      workflow after the new Ubuntu Backport process has been established.
      LP: #1959115

 -- Benjamin Drung <bdrung@debian.org>  Wed, 01 Feb 2023 12:45:15 +0100

ubuntu-dev-tools (0.191) unstable; urgency=medium

  [ Dan Streetman ]
  * lpapicache:
    + Make sure that login() actually logins and doesn't use cached credentials.
  * ubuntu-build:
    + Fix crash caused by a change in lpapicache that changed the default
      operation mode from authenticated to anonymous.  LP: #1984113

  [ Stefano Rivera ]
  * backportpackage:
    + Add support for lsb-release-minimal, which doesn't have a Python module.
      Thanks to Gioele Barabucci for the patch.  Closes: #1020901; LP: #1991828

  [ Mattia Rizzolo ]
  * ubuntutools/archive.py:
    + Fix operation of SourcePackage._source_urls() (as used, for example, in
      SourcePackage.pull() called by backportpackage) to also work when the
      class is instantiated with a URL as .dsc.  Fixes regression from v0.184.
      Thanks to Unit 193 for the initial patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 11 Oct 2022 13:56:03 +0200

ubuntu-dev-tools (0.190) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * mk-sbuild:
    + For ubuntu, fix the debootstrap script to "gutsy", so to allow using
      mk-sbuild for newer releases without requiring a newer debootstrap.

  [ Gianfranco Costamagna ]
  * pbuilder-dist: fix typo kernal/kernel

  [ Benjamin Drung ]
  * Add missing files to debian/copyright
  * Bump Standards-Version to 4.6.1

 -- Benjamin Drung <bdrung@debian.org>  Thu, 16 Jun 2022 10:55:17 +0200

ubuntu-dev-tools (0.189) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * mk-sbuild: don't require pkg-config-<target>. LP: #1966881.

  [ Tobias Heider ]
  * mk-sbuild: document SCHROOT_TYPE zfs in the manpage.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Apr 2022 15:03:31 +0200

ubuntu-dev-tools (0.188) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * archive.py:
    + Support Python 3.6 by calling functools.lru_cache() as a function, and
      avoid using @functools.cached_property (both new in Python 3.8).

  [ Graham Inggs ]
  * lpapicache.py:
    + Use collections.abc.Callable instead of the long deprecated
      collections.Callable.  LP: #1959541

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Feb 2022 16:30:07 +0100

ubuntu-dev-tools (0.187) unstable; urgency=medium

  [ Paride Legovini ]
  * mk-sbuild:
    + Add support for zfs-snapshot schroots.  LP: #1945349

  [ Mattia Rizzolo ]
  * mk-sbuild:
    + Apply patch from Peter Pentchev to avoid a broken log message.
      Closes: #968316
  * backportpackage:
    + Support backporting to Debian releases.  Closes: #776442; LP: #974132
    + Fix the guessing algorithm for the target release:
      - for Debian: pick the current stable release.
      - for Ubuntu: pick the current LTS release.

  [ Unit 193 ]
  * backportpackage:
    + Change the generated Ubuntu version following the new policy from the
      Backporters team.

  [ Dan Streetman ]
  * misc:
    + Refactor download progress bar code.
    + Save files that have Content-Encoding correctly,
      such as the changes file from upload queue packages.
  * pullpkg:
    + Extract source packages pulled from upload queue.
  * hugdaylist:
    + Remove long unused and non-working script.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 05 Dec 2021 15:58:15 +0100

ubuntu-dev-tools (0.186) unstable; urgency=medium

  * Replace nose with pytest (see: #997758).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Oct 2021 16:10:44 -0700

ubuntu-dev-tools (0.185) unstable; urgency=medium

  [ Alex Murray ]
  * ubuntutools/archive.py:
    + Fix crash due to PersonalPackageArchiveSourcePackage() returning the
      wrong object when requesting a download url.  LP: #1938659

  [ Krytarik Raido ]
  * merge-changelog: Fix setting of newlines.

  [ Dan Streetman ]
  * misc: download to tmp file, to avoid leftover 0-size file on error
  * misc: handle ConnectionError as NotFoundError
  * archive: use proper component source packages sometimes have different
    component than their bpphs, so use the correct component when downloading
    binaries (LP: #1943819)
  * misc: fix flake8 complaints

  [ Stefano Rivera ]
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 15:53:02 -0700

ubuntu-dev-tools (0.184) experimental; urgency=medium

  [ Dan Streetman ]
  * Drop never packaged ubuntu-archive-assistant.
  * Add support for downloading from private PPAs:
    + ubuntutools/misc:
      - Refactor to use Pathlib and f-strings.
      - Refactor to use requests instead of urllib (for the earier auth)
    + ubuntutools/archive:
      - Refactor to use Pathlib.
      - Add support for the special URLs of private PPAs.
  * Don't use existing file without verifying their checksum.
  * tests: recreate the test package files on demand.
  * Remove no longer used dependencies on python3-termcolor and python3-yaml

  [ Mattia Rizzolo ]
  * pbuilder-dist: use shutil.which instead of
    distutils.spawn.find_executable() to save a dependency.  LP: #1936697
  * d/control:
    + Drop redundant Recommends that are already in Depends.
    + Bump debhelper compat level to 13.

  [ Marco Trevisan (Treviño) ]
  * mk-sbuild:
    + Enable debugging in the finish.sh script if --debug is used.
    + Add support to configure ccache for each schroot.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 17 Jul 2021 17:31:19 +0200

ubuntu-dev-tools (0.183) unstable; urgency=medium

  [ Dan Streetman ]
  * pbuilder-dist: include missing import

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Jun 2021 10:09:11 -0400

ubuntu-dev-tools (0.182) unstable; urgency=medium

  [ Dan Streetman ]
  * syncpackage, ubuntutools/archive.py:
    Don't save dsc file to disk until requested with pull()
    (LP: #1928946)
  * syncpackage:
    Don't login to LP if using --simulate
  * d/t/control: Add minimum flake8 version
    The --extend-exclude parameter is first available in flake8 3.8.0
  * ubuntutools/archive.py: Fix flake8 test failure
  * d/rules, d/control: Override build tests to use flake8 and nosetests3

  [ Stefano Rivera ]
  * Respect nocheck in DEB_BUILD_OPTIONS, again.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Jun 2021 19:52:18 -0400

ubuntu-dev-tools (0.181) unstable; urgency=medium

  [ Logan Rosen ]
  * Fix a couple of remaining issues from the py2→py3 move.

  [ Krytarik Raido ]
  * Fix typo in the logging configuration.

  [ Dan Streetman ]
  * pbuilder: Handle debian change from /updates to -security.  LP: #1916633
    Starting in bullseye, the security suite is -security instead of /updates.
  * backportpackage: Don't use SourcePackage() directly.  Closes: #983854
    As the warning from 2010 says, don't use this class directly.

  [ Balint Reczey ]
  * mk-sbuild:
    + Use eatmydata only with the dpkg command.
      Eatmydata wrapping the build as well could break tests.
      Thanks to Julian Andres Klode for suggesting this solution
    + Use eatmydata by default.
      Since only the dpkg is wrapped in eatmydata it should be the safe and
      fast default. Eatmydata is widely used around apt thus it should be a
      serious bug if a package can't be installed with eatmydata in use.

  [ Marco Trevisan (Treviño) ]
  * doc/mk-sbuild.1: Add documentation for --debootstrap-proxy and
    DEBOOTSTRAP_PROXY.  LP: #1926166

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 May 2021 19:56:48 +0200

ubuntu-dev-tools (0.180) unstable; urgency=medium

  * Drop coverage in the autopkgtest, as python3-nose-cov is not in Debian.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 19 Feb 2021 12:12:33 +0100

ubuntu-dev-tools (0.179) unstable; urgency=medium

  [ Stefano Rivera ]
  * archive.py: Evaluate the filter() fixing Debian source history queries
    LP: #1913330

  [ Dan Streetman ]
  * allow running tests using tox
  * add autopkgtests to run tests
  * simplify/combine archive download functions
  * add support for private ppa by logging into lp
  * improve support for pull-uca-*
  * fix logging/printing output to stdout/stderr

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 01 Feb 2021 11:59:03 -0500

ubuntu-dev-tools (0.178) unstable; urgency=medium

  [ Dan Streetman ]
  * pullpkg: also catch and deal with InvalidPullValueError.  LP: #1908770

  [ Mattia Rizzolo ]
  * d/control: Bump Standards-Version to 4.5.1, no changes needed.
  * ubuntu-archive-assistant/mir: Fix a SyntaxWarning.
  * backportpackage:
    + Add a -e/--message option to change the default "No-change"
      in "No-change backport to DIST".
      Thanks to Unit 193 for the initial patch.

  [ You-Sheng Yang ]
  * Add a dependency on tzdata, used by mk-sbuild.

  [ Logan Rosen ]
  * import-bug-from-debian:
    + Limit bug description length to 50k chars to support Launchpad's limits.
      LP: #1193941

  [ Dimitri John Ledkov ]
  * pullpkg.py: fix --mirror option parsing.
  * config.py: add UBUNTU_INTERNAL_MIRROR option, for launchpad internal
    mirror.
  * archive.py: use Regular, Ports, and Internal mirrors by default. Thus
    enabling pull-lp-debs to work with ports architectures, and inside
    launchpad builds too.

  [ Michael R. Crusoe ]
  * pbuilder-dist:
    + Use `arch-test` to determine whether the current system can run binaries
      of the requested architecture, instead of hardcoding an ever-growing
      list of whether something requires qemu or not.  Add the "arch-test"
      package to Recommends to that effect.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jan 2021 23:28:24 +0000

ubuntu-dev-tools (0.177) unstable; urgency=medium

  [ Dan Streetman ]
  * Verify checksums for downloaded binary files
  * pullpkg: support pulling from Ubuntu upload queues

  [ Mattia Rizzolo ]
  * ubuntu-build:
    + Add support for riscv64.
  * syncpackge:
    + Fix the new flake8 E741.  Closes: #963310

  [ Bryce Harrington ]
  * update-maintainer:
    + Try to recurse upwards to find a valid debian directory.  LP: #1885233

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jun 2020 15:52:27 +0200

ubuntu-dev-tools (0.176) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.66.

  [ Mattia Rizzolo ]
  * pbuilder-dist:
    + Add support for riscv64.  LP: #1859277
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.

  [ Colin Watson ]
  * Use +sourcefiles URLs where possible.  LP: #1860456

  [ Dan Streetman ]
  * submittodebian:
    + Open file in binary mode before writing utf-8 encoded bytes.  LP: #1863119
  * ubuntu-upload-permission:
    + Explicitly sort packagesets by name.  LP: #1862372
  * pullpkg:
    + For "-p list", show bpph arch for files built for 'all' arch.
  * archive.py:
    + If using local file, avoid error trying to copy file to itself.
    + Allow pull_binaries() to accept arch=None.
  * lpapicache:
    + Remove SPPH _have_all_binaries flag, as there are cases where it yield
      unexpected results.
    + Remove fallback_arch from getBinaries.
    + Allow getBinaries(arch=None) to get all archs.  LP: #1862286

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Feb 2020 13:03:21 +0100

ubuntu-dev-tools (0.175) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Trust the installed debian-keyring when checking validity of dsc
    signatures.
  * requestbackport:
    + Error out nicely when a tracking project doesn't exist.  LP: #1852901
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

  [ Stefano Rivera ]
  * merge-changelog: rewrite the changelog handling to use python3-debian.

  [ Dan Streetman ]
  * tests/pylint.conf: use jobs=0 to speed up tests.
  * submittodebian: use a context manager while opening a file.
  * d/control: add dependency on python3-lazr.restfulclient.
  * Big refactor/rewrite of the whole archive.py module, together with a
    restracturing of all the pull-pkg-* commands.
  * Unify the logging using the standard python logging module, and remove the
    local ubuntutools.logger module.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 01 Dec 2019 19:36:23 +0100

ubuntu-dev-tools (0.174) unstable; urgency=medium

  [ Stefano Rivera ]
  * reverse-depends:
    + Support reverse test dependencies as well.  LP: #1843614
  * ubuntutools.misc:
    + Replace Popen() calls with check_output().  Closes: #940040
    + Use a context manager to open file, to be sure to close them.

  [ Dan Streetman ]
  * Update setup.py to also use python3.
  * reverse-depends:
    + Move from optparse to argparse.
    + Rename the typoed --recursive-deph to --recursive-depth.
    + Use list comprehensions to simplify del-during-iteration functions.
  * import-bug-from-debian:
    + Migrate to argparge.
    + Add --verbose option.
    + Actually make --dry-run do a dry run.
    + Handle multiple bug numbers in the command line.
    + Correctly get the bug summary.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Sep 2019 11:05:53 +0200

ubuntu-dev-tools (0.173) unstable; urgency=medium

  [ Stefano Rivera ]
  * pull-debian-debdiff:
    + Don't unpack the older source package, it will often use the same
      directory as the newer one, and break.
  * merge-changelog:
    + Use ubuntutools.version.Version, to support Python 3.
  * Drop 404main, it's been totally broken for years.
  * Port all the Python scripts to Python 3, and remove Python 2 support.
    Closes: #938740, LP: #1099537

  [ Dan Streetman ]
  * pull-pkg:
    + Use ubuntutools.version.Version which has strip_epoch() instead
      of debian.debian_support.Version.
  * Have ubuntu-dev-tools depend on the matching version of python3-ubuntutools.

  [ Scott Kitterman ]
  * Update requestsync to python3.  Closes: #927147

  [ Mattia Rizzolo ]
  * Explicitly require Python3 >= 3.6.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Sep 2019 15:35:06 +0200

ubuntu-dev-tools (0.172) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * autopkgtest: Add a allow-stderr restriction, as things log to stderr.

  [ Stefano Rivera ]
  * Build-Depend on pylint (>= 2, the Python 3 version), it replaced pylint3.
  * Explicitly declare python dependencies in the python library modules (the
    setup.py doesn't provide these) and ubuntu-dev-tools itself.
  * dh_python2 doesn't generate a python dependency in ubuntu-dev-tools, now
    that it's scripts-only, so manually declare one.
  * Install pull-debian-source as python 3. It was ported, and doesn't work
    under python 2 any more.  LP: #1841127
  * Use dh_install to split the build into multiple binary packages.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Sep 2019 08:44:51 +0200

ubuntu-dev-tools (0.171) unstable; urgency=medium

  * Add an autopkgtest running the package tests.
    Currently it runs the tests directly over the sources, instead of the
    installed package.
  * ubuntutools/archive: Disable dsc signature verification for non-Debian.
    Ubuntu doesn't have a unified keyring of developers like Debian has, so
    it is not feasible to check for the dsc signatures.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Aug 2019 13:42:31 +0200

ubuntu-dev-tools (0.170) unstable; urgency=medium

  [ Robie Basak ]
  * pull-debian-source:
    + Add a new --no-verify-signature option option, to download a source
      package without checking its signature.
    + Port to Python 3.  LP: #1700846

  [ Mattia Rizzolo ]
  * d/control:
    + Bump debhelper compat level to 12.
  * reverse-depends:
    + prevent crash when specifying a specific architecture.  Closes: #933018
  * ubuntutools/archive:
    + Default to checking signatures while pulling a .dsc.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 13:28:23 +0200

ubuntu-dev-tools (0.169) unstable; urgency=medium

  [ Colin Watson ]
  * mk-sbuild:
    + Set personality=linux32 by default on armel and armhf as well.

  [ Sahid Orentino Ferdjaoui ]
  * reverse-depends:
    + New ability to find reverse-depends recursively, and print a tree.

  [ Mattia Rizzolo ]
  * d/control:
    + Add myself to uploaders.
    + Bump Standards-Version to 4.4.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 20 Jul 2019 11:18:00 +0200

ubuntu-dev-tools (0.168) eoan; urgency=medium

  * grep-merges: flake8-clean.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 21:26:05 -0700

ubuntu-dev-tools (0.167) eoan; urgency=medium

  [ Colin Watson ]
  * syncpackage:
    + Support wildcards in sync-blacklist (LP: #1807992).

  [ Steve Langasek ]
  * grep-merges:
    + support grepping by team name (full name match) now that MoM exposes
      this

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 18:53:46 -0700

ubuntu-dev-tools (0.166) unstable; urgency=medium

  * Team upload.

  [ Felipe Reyes ]
  * pbuilder-dist:
    + Fix handling of --othermirror when a local archive found.  LP: #1314076

  [ Jelmer Vernooĳ ]
  * Recommend Bazaar (brz) or Breezy (brz); the latter provides a
    command-line compatible interface.

  [ Mathieu Trudel-Lapierre ]
  * Add a new tool "ubuntu-archive-assistant" tool for
    proposed-migration / mir review.  More information on:
    https://lists.ubuntu.com/archives/ubuntu-devel/2018-September/040492.html
    The tool is not currently installed, see the launchpad bug #1799568.

  [ Benjamin Drung ]
  * ubuntutools/test: Introduce get_source_files helper function.
  * Update pylint and flake8 unittests.
  * Fix invalid escape sequences '\(' or '\)'.  Closes: #911689

  [ Mattia Rizzolo ]
  * Add missing dependencies on sensible-utils (thanks lintian!).
  * wrap-and-sort -ast.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Clarify package descriptions for Python libraries.
    Thanks to Ben Finney for the patch.  Closes: #804198, #804199
  * Add a recommends on ubuntu-keyring | ubuntu-archive-keyring.
    Closes: #838254
  * mk-sbuild: disable recommends also within the chroot.
    Thanks to Steve Beattie for the patch.  LP: #1268684

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Oct 2018 22:08:04 +0200

ubuntu-dev-tools (0.165) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat level to 11.
  * Fix FTBFS due to newest tar being picker about arguments order.
    Closes: #897478

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 May 2018 10:40:49 +0200

ubuntu-dev-tools (0.164) unstable; urgency=medium

  * mk-sbuild: Initialise ubuntu_dist_ge vars so unknown releases work.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 05:24:43 -0600

ubuntu-dev-tools (0.163) unstable; urgency=medium

  * mk-sbuild: Add ubuntu_dist_ge and use it to set BUILD_PKGS for Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 05:11:18 -0600

ubuntu-dev-tools (0.162) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Fix test failures with newer flake8 and pylint.  Closes: #891721
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Set Rules-Requires-Root:no.
  * Drop superseded X-Python(3)-Version fields.
  * Add a dependency on sensible-utils, as we use sensible-editor(1).
  * Change Maintainer address to ubuntu-dev-tools@packages.debian.org, to
    assist with the alioth deprecation.

  [ Dimitri John Ledkov ]
  * mk-sbuild: add support for 'overlay' in favor of older 'overlayfs'.
    Closes: 799267

  [ Scott Kitterman ]
  * pbuilder-dist: add a --backports option to make it easier to build for
    backports when dependencies from backports are needed.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 05 Apr 2018 18:58:15 +0200

ubuntu-dev-tools (0.161) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * [939c2a2] Bump Standards-Version to 4.0.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 18 Jul 2017 07:38:01 +0200

ubuntu-dev-tools (0.160) experimental; urgency=medium

  * [798a36c] subprocess: Use getfullargspec on python3.  Closes: #867901

 -- Iain Lane <laney@ubuntu.com>  Tue, 13 Jun 2017 10:14:14 +0100

ubuntu-dev-tools (0.159) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * [1c6b989] Move packaging to git.
  * [3c138f6] Bump Standards-Version to 3.9.8, no changes needed.
  * [88fbffa] Bump debhelper compat level to 10.

  [ Unit 193 ]
  * [f67601c] mk-sbuild, pull-debian-{debdiff,source}: Switch from
    httpredir.debian.org to deb.debian.org as the default mirror for Debian.

  [ Ursula Junque (Ursinha) ]
  * [6fea8fb] Fix behavior of getBinaryPackage in lpapicache.  It was using
    the same parameters to get Source and Binary packages build history, but
    source packages need a distro series, and binary packages need distro arch
    series, as the results are arch dependent.

  [ Anatoly Techtonik ]
  * [bf52bd6] backportpackage: improve python3 compatibility.

  [ Benjamin Drung ]
  * [6ee0915] Add .gitignore
  * [ba16daf] Repair pylint test case.  The --include-ids parameter was
    dropped from pylint and thus the command failed as was skipped. Repair the
    pylint check and add support for Python 3.
  * [67c353d] Raise maximum line length to 99
  * [3a6cd3a] Fix pylint3 error (for Python 2 support code)
  * [cc7170e] Fix all flake8 issues
  * [18ae4d8] Add flake8 check to test suite

  [ Mattia Rizzolo ]
  * [001d108] Recommend cowbuilder, not cowdancer.

  [ Iain Lane ]
  * [a6043a6] Remove the `harvest' command, and all other integration with the
    Harvest service, since it has been shut down.
  * [4471193] ubuntu-build: Pass the pocket through to the archive permission
    check. So that we can retry builds in releases where the release pocket is
    frozen - for example so that backporters can retry backports builds.
  * [179f45c] Add some more ignores for pylint. It doesn't work very well
    with apt_pkg.
  * [44dc0a9] debian/gbp.conf: Add gbp-dch configuration
  * [d41602b] debian/README.source: Add with some instructions about changelog
  * [0a3738c] Fix some 2/3 differences and run pylint with confidence=HIGH.
    Too many false positives otherwise.

 -- Iain Lane <laney@ubuntu.com>  Tue, 30 May 2017 11:23:48 +0100

ubuntu-dev-tools (0.158) experimental; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * grep-merges: Do not override author or uploader with None.
    There can be JSON entries which have uploader=None.  (LP: #1663601)

  [ Colin Watson ]
  * pbuilder-dist, ubuntu-build: Add s390x.

  [ James Page ]
  * grep-merges: Use unicode string format for pretty output to deal with
    non ascii encoding.

  [ Corey Bryant ]
  * pull-uca-source: Added to pull source from Ubuntu Cloud Archive.
    (LP: #1661324)

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 29 Mar 2017 20:07:38 +0200

ubuntu-dev-tools (0.157) unstable; urgency=medium

  * mk-sbuild: cp localtime and timezone a little harder (LP: #1569400)

 -- Adam Conrad <adconrad@debian.org>  Sun, 08 May 2016 23:58:48 -0600

ubuntu-dev-tools (0.156) unstable; urgency=medium

  [ Adam Conrad ]
  * mk-sbuild: Remove references to the obsolete arm architecture, and
    allow armhf and armel to be native on arm64 systems (LP: #1579619)

  [ Luke Faraone ]
  * mk-sbuild: Pass in arguments via --debootstrap-opts (LP: #1366723)
  * mk-sbuild: Add --skip-security, like --skip-updates (LP: #1366721)

 -- Adam Conrad <adconrad@debian.org>  Sun, 08 May 2016 23:06:34 -0600

ubuntu-dev-tools (0.155) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix python3 setup.py clean failing to read unicode from
    debian/changelog.
  * Fix test_config to skip Unicode environment variable test, when python
    interpreter is not running in an Unicode capable locale.
  * Add python-ubuntutools dependency to ubuntu-dev-tools.

  [ Adam Conrad ]
  * Allow requestsync/syncpackage to work with either codename or alias.

  [ Mike Miller ]
  * mk-sbuild, pull-debian-{debdiff,source}: Use httpredir.debian.org as the
    default mirror for Debian.

  [ Scott Moser ]
  * ubuntutools/archive.py/rmadison: return results for sid if asked about
    unstable.
    Some versions of rmadison return results with 'unstable' when asked
    about sid. Others return 'sid'. This makes a query of 'unstable' return
    results for sid.
    End result is fixing 'pull-debian-source hello' on wily.

  [ Benjamin Drung ]
  * Upload to unstable
  * Move python*-ubuntutools to section Python
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Install bash completions into /usr/share/bash-completion/completions
    instead of deprecated /etc/bash_completion.d
  * Drop recommending perl-modules. perl-base is enough for dch-repeat and
    pull-revu-source

 -- Benjamin Drung <bdrung@debian.org>  Fri, 30 Oct 2015 22:59:34 +0100

ubuntu-dev-tools (0.154) experimental; urgency=medium

  [ Logan Rosen ]
  * pbuilder-dist: Fix yes/no for unknown distribution (LP: #1311884).

  [ Yuan-Chen Cheng ]
  * mk-sbuild: better message for cross build so that new start have
    correct sbuild command from the last message of mk-sbuild.

  [ Niklas Fiekas ]
  * mk-sbuild: support debootstrap keyring and no-check-gpg
    options. (Closes: 754327)

  [ Dimitri John Ledkov ]
  * Port ubuntutools module to python3.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Tue, 23 Dec 2014 16:14:33 +0000

ubuntu-dev-tools (0.153) unstable; urgency=medium

  [ Stefano Rivera ]
  * Acknowledge NMU. Thanks to Paul.
  * Explicitly use xz compression when building source packages, rather than
    relying on dpkg >= 1.16.5 behavior.

  [ Robie Basak ]
  * check-mir: correctly parse dependencies with architecture specifications
    (LP: #1149679).

  [ Benjamin Drung ]
  * pbuilder-dist:
    - Set different aptcache directories for Debian and Ubuntu.
    - Store build logs in <source>_<version>_<arch>.build instead of
      last_operation.log (to avoid overwriting build logs).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 15 Apr 2014 13:17:12 +0200

ubuntu-dev-tools (0.152+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change debian.tar.gz to debian.tar.xz (Closes: #738413)

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 24 Feb 2014 22:34:22 -0500

ubuntu-dev-tools (0.152) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Add ppc64el to valid architectures in pbuilder-dist and ubuntu-build.
  * Simplify mirror detection in mk-sbuild, all supported releases, all
    architectures but i386/amd64 are on ports.ubuntu.com

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.9.5.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 06 Jan 2014 22:51:20 +0100

ubuntu-dev-tools (0.151) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Since Britney migration was introduced in Ubuntu, automatic syncing is
    always done from unstable. Adjust requstsync & syncpackage to always
    default to unstable.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 23 Oct 2013 14:12:37 +0200

ubuntu-dev-tools (0.150) unstable; urgency=low

  [ Brian Murray ]
  * ubuntutools/sponsor_patch/sponsor_patch.py: correct grammar regarding
    which task for the patch, cache bug.id instead of retrieving it up more
    than once.

  [ Dmitrijs Ledkovs ]
  * add arm64 knowledge to mk-sbuild, ubuntu-build, pbuilder-dist.

  [ Benjamin Drung ]
  * Switch to debhelper 9.

 -- Benjamin Drung <bdrung@debian.org>  Mon, 14 Oct 2013 22:09:11 +0200

ubuntu-dev-tools (0.149) unstable; urgency=low

  [ Marc Deslauriers ]
  * mk-sbuild: allow specifying the schroot profile.
  * ubuntutools/config.py: properly handle name being None.

  [ Loïc Minier ]
  * ubuntutools.config: decode developer names with the current locale's
    encoding and add corresponding test; fixes handling of non-ascii names.

  [ Adam Gandelman ]
  * backportpackage: Fix destination for --dont-sign option. (LP: #1183985)

  [ Evan Broder ]
  * Only conclude that we don't need an orig tarball if we're sent to the
    librarian (as opposed to the login page from a private PPA).
    (LP: #1106429)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 13 Aug 2013 23:12:42 +0200

ubuntu-dev-tools (0.148) unstable; urgency=low

  * Upload to unstable after the Debian 7.0 release.

  [ Colin Watson ]
  * mk-sbuild: Fix comment syntax in proxy configuration (LP: #1163300).

 -- Benjamin Drung <bdrung@debian.org>  Sun, 05 May 2013 19:10:19 +0200

ubuntu-dev-tools (0.147) experimental; urgency=low

  * Move devscripts.logger to ubuntutools.logger.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 19 Mar 2013 00:43:35 +0100

ubuntu-dev-tools (0.146) experimental; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch: Use ubuntu profile when running lintian.
  * Bump Standards-Version to 3.9.4 (no changes needed).

  [ Dmitrijs Ledkovs ]
  * dgetlp: drop it, and hence remove python-gnupginterface dependency.
  * mk-sbuild: change lvm volume names to include target (LP: #1087194)

  [ Benjamin Kerensa ]
  * setup-packaging-environment: update developer guide URL (LP: #1068049)

  [ Julian Taylor ]
  * stop suggesting ipython, lp-shell has been moved to lptools

  [ Stefano Rivera ]
  * pbuilder-dist: Build with -proposed enabled for Ubuntu dev releases.
    Thanks Scott Kitterman (LP: #1082452)
  * backportpackage:
    - Don't ignore -k (LP: #1083688)
    - Check that dput is installed when uploading, thanks H.-Dirk Schmitt
      (LP: #1086342)
  * ubuntu-build: Default to DEV-proposed in batch mode. Thanks Scott
    Kitterman (LP: #1088010)
  * seeded-in-ubuntu: Clarify that "not seeded" binary packages may not exist
    (LP: #1029620)
  * mk-sbuild:
    - Name cross chroots after the build architecture and target
      (LP: #1087194)
    - Use the sbuild schroot profile.

  [ Iain Lane ]
  * sponsor-patch: Allow all supported bare releases now that LP rewrites
    these to contain '-proposed' for us.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 27 Feb 2013 19:56:12 +0100

ubuntu-dev-tools (0.145) experimental; urgency=low

  [ Stefano Rivera ]
  * syncpackage: Don't throw away release pockets, returning correct errors
    when the source and destination match even though the destination release
    pocket doesn't.
  * requestsync: We now sync to proposed (LP: #1073060)

  [ Steve Langasek ]
  * Initial support for setting up cross-build chroots.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 Nov 2012 22:58:32 +0200

ubuntu-dev-tools (0.144) experimental; urgency=low

  [ Stefano Rivera ]
  * Upload to experimental, due to the freeze
  * submittodebian:
    - Use dpkg-buildpackage instead of debuild. It really doesn't need to run
      lintian twice.
    - Use --include instead of --attach when not using reportbug's internal
      MUA.
  * submittodebian, sponsor-patch:
    - Pass --builder=dpkg-buildpackage to bzr bd, in case the user has
      configured a custom builder that doesn't do source builds (LP: #1019817)
  * seeded-in-ubuntu Inform the user when we couldn't determine binary
    packages built by a source package, as it most recently FTBFS.
  * requestbackport:
    - Avoid duplicate Reverse-Build-Deps when sources build binaries of the
      same name.
    - Explain that backports aren't to fix bugs.
  * sponsor-patch: Don't fall over bugs targetted at the development release
    (LP: #936014)
  * ubuntutools.question: Catch EOF and SIGINT on all input and bail out.
    (LP: #1037488)
  * pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
  * syncpackage, requestsync: Check the Release pocket if we can't find an
    Ubuntu package in the requested pocket. (LP: #1069867)

  [ Benjamin Drung ]
  * seeded-in-ubuntu: State in error message that it takes a source package.
    (LP: #1029155)
  * sponsor-patch: Fix crash if Debian patch contains a slash.

  [ Colin Watson ]
  * syncpackage: Default to <current_series>-proposed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Oct 2012 09:02:29 +0100

ubuntu-dev-tools (0.143) unstable; urgency=low

  [ Iain Lane ]
  * backportpackage: Fix filenames searched when looking for existing
    .orig.tar.foo files (to determine if we need to upload it again or not).
    (LP: #1007908)
  * backportpackage: Unset DEBEMAIL when building source package. Fixes error
    when building backports for packages with no Ubuntu changes.
    (LP: #1007042)

  [ Mathieu Trudel-Lapierre ]
  * mk-sbuild: use and update messages to suggest using the source:$chroot way
    of referring to source chroots instead of $chroot-source; since the latter
    does not work with btrfs snapshot-based chroots. (LP: #1014669)

  [ Lars Düsing ]
  * Corrected brackets in man-page for sponsor-patch.

  [ Stefano Rivera ]
  * pbuilder-dist: Don't try to enable -updates for the current codename
    referring to Debian testing, either (LP: #1011870)
  * Correct spelling mistakes in package description, thanks Logan Rosen for
    the patch (Closes: #678245)
  * Correct metavar for --mirror in backportpackage (LP: #999727)
  * submittodebian: Explitictly UTF-8 encode the bug body (LP: #1005834)
  * backportpackage.1: Document --key and --dont-sign (LP: #1007564)
  * seeded-in-ubuntu: Catch errors in parsing data, and don't keep unreadable
    data cached (LP: #1008783)
  * ubuntutools.archive: Improve error handling around rmadison calls
    (LP: #1010951)
  * submittodebian; Unset DEBEMAIL when building source package.
    (LP: #1015066)

  [ Benjamin Drung ]
  * Add a man page for the reverse-build-depends wrapper script.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 22 Jun 2012 13:34:43 +0200

ubuntu-dev-tools (0.142) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild: Support kmod, when checking for overlayfs availability.
  * pbuilder-dist: improve bash_completion for *.dsc files. Thanks Maarten
    Bezemer. (Closes: #670924, LP: #770529)
  * check-mir, check-symbols, grep-merges, pbuilder-dist-simple,
    setup-packaging-environment, submittodebian, ubuntu-iso:
    Do enough argument parsing to handle --help (LP: #988009)
  * dgetlp: Require a UTF-8 locale, or it'll crash when displaying errors
    (LP: #979117)
  * pbuilder-dist: Don't try to enable -updates for Debian testing
    (LP: #993006)
  * pbuilder-dist, pull-debian-source, pull-lp-source, requestsync,
    reverse-depends, submittodebian, syncpackage:
    Handle outdated distro-info data. Fall back to sane defaults where
    possible. (Closes: #673957)
  * backportpackage: Avoid uploading orig tarballs if they are already present
    in the destination PPA (LP: #691897)
  * Allow mk-sbuild to be run by root if a configuration file exists
    (LP: #888736)
  * backportpackage: Allow unsigned backports (LP: #992739)
  * update-maintainer: Add a function to restore the original maintainer.
    - Update sponsor-patch to use the new API resulting from this change
      (LP: #1002999)
  * submittodebian: Revert Ubuntu Maintainer mangling, and re-build the source
    package before diffing. (LP: #902233)

  [ Evan Broder ]
  * backportpackage: Add -c, --close flag to include a changelog closer.
  * backportpackage: Switch to ~ubuntu12.04.1-style version numbers
    instead of ~precise1, to make our version numbers more future-proof.
  * backportpackage: Pass -v to debuild with last published version
    number. This matches the way backports have traditionally been
    generated by archive admins.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 May 2012 23:35:52 +0100

ubuntu-dev-tools (0.141) unstable; urgency=low

  * syncpackage: Log into Launchpad anonymously with --no-lp
    (LP: #979849)
  * seeded-in-ubuntu: Log into Launchpad anonymously.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Apr 2012 23:46:24 +0200

ubuntu-dev-tools (0.140) unstable; urgency=low

  [ Stefano Rivera ]
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.
  * pbuilder-dist: Use the same chroot, whether the system-architecture was
    the supplied architecture or was chosen by default (LP: #943435)
  * backportpackage
    - Prompt to delete existing workdirs (LP: #885514)
    - Support a BACKPORTPACKAGE_UPLOAD configuration/enviornment variable
      (LP: #693217)
  * requestsync:
    - New packages from non-free or contrib go into multiverse (LP: #935643)
    - Catch SeriesNotFoundException and display a friendly error (LP: #963888)

  [ Daniel Hahler ]
  * ubuntutools/archive.py: use ProxyHandler in _download_file.
    This makes use of the system proxy (e.g. http_proxy).
  * pbuilder-dist: Do not force default value for `--aptcache` argument
    (LP: #956903)

  [ John S Gruber ]
  * Don't use --override-config with operations other than update.
    (LP: #409696)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Mar 2012 00:01:40 +0200

ubuntu-dev-tools (0.139) unstable; urgency=low

  [ Stefano Rivera ]
  * syncpackage, backportpackage, sponsor-patch: Use -nc when building source
    packages. Avoids needing build-deps on the build machine.
  * sponsor-patch:
    - Determine the task from the UDD branch.
    - Support syncs of new packages.
    - Support syncs from a non-default series (LP: #931644)
    - Check for dependencies that the package doesn't Depend on. Recommend
      dput, lintian, patch, quilt. (LP: #846385)
  * Re-add dgetlp. Still needed for downloading source packages from +queue.
    (LP: #919805)
  * pbuilder-dist:
    - Export DISTRIBUTION and ARCHITECTURE as well as DIST and ARCH. Thanks
      Alessio Treglia. (Closes: #659060, LP: #423609)
    - Pass DEB_BUILD_OPTIONS through (LP: #685786)
  * reverse-depends: Now that Debian is supported server-side:
    - Convert Debian release aliases to codenames.
    - Default to the devel release of the vendor distribution.
    - Provide transitional reverse-build-depends wrapper to help users
      discover reverse-depends. (LP: #910420)
  * backportpackage: Map Debian release aliases to codenames (LP: #918231)

  [ Evan Broder]
  * sponsor-patch, requestsync, syncpackage: Add a config variable for -k
    arguments.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Feb 2012 17:21:39 +0200

ubuntu-dev-tools (0.138) unstable; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch:
    - Use syncpackage instead of subscribing ubuntu-archive for sync requests,
      because syncpackage supports sponsorship now.
    - Check if the sponsored bug is marked as duplicate (LP: #896733).
    - Allow user to override sanity checks (LP: #896733).

  [ Stefano Rivera ]
  * Correct reference to qemu-user-static in pbuilder-dist.1 (Closes: #651999)
  * mk-sbuild: Don't install devscripts by default (LP: #904502)
  * backportpackage: Add --release-pocket option, rather than relying entirely
    on heuristics (Closes: #651546)
  * syncpackage: Mention sponsorship when closing bugs (LP: #904288)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 21 Dec 2011 22:38:35 +0100

ubuntu-dev-tools (0.137) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild: Make --eatmydata command line flag actually work.
  * Remove dgetlp. No longer needed.
  * Use httplib2 everywhere that we do https. The python stdlib doesn't do
    certificate verification.
  * requestbackport:
    - Check for existing backport bugs first.
    - Check that there are published binaries (i.e. not stuck in bin-NEW).
  * pull-lp-source, requestbackport: Take the latest version from any
    non-backports pocket. Implemented by making lpapicache's getSourcePackage
    smarter.
  * sponsor-patch: Build a source package for lintian to run on, when not
    test-building syncs.
  * sponsor-patch: Check the bug's title, not the task, when determining
    source series for syncs.
  * mk-sbuild, pbuilder-dist, ubuntu-build: Add armhf.
  * pull-debian-source, pull-lp-source: Resolve the source package (via DDE),
    if a binary package was requested (LP: #617349)
  * submittodebian:
    - Do the report boiler-plate checking in a script that wraps an editor, so
      that we only edit the report once, after checking for duplicates.
    - rm the tmpdir with a little more force (shutil.rmtree) (LP: #899399)
  * New Tools: (LP: #876554)
    - ubuntu-upload-permission: Query upload permissions.
    - seeded-in-ubuntu: Query a package's seed status. Whether it is on
      current daily images and/or part of the supported seed.
  * syncpackage: Support sponsorship for native-syncs, now that LP does.

  [ Andreas Moog ]
  * sponsor-patch: Check permission to unsubscribe sponsors-team (LP: #896884)
  * grep-merges: We already require a UTF-8 enabled terminal, so encode
    package and uploader name in UTF-8 (LP: #694388)
  * requestsync: Give user option to retry in case of temporary error
    (LP: #850360)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Dec 2011 12:59:29 +0200

ubuntu-dev-tools (0.136) unstable; urgency=low

  [ Marc Deslauriers ]
  * mk-sbuild,doc/mk-sbuild.1: switch from aufs to overlayfs, as aufs is no
    longer in the Precise kernel.

  [ Stefano Rivera ]
  * mk-sbuild,doc/mk-sbuild.1: aufs may still be used if overlayfs isn't
    available (as is the case on Debian).
  * mk-sbuild: debootstrap with all components, so that eatmydata can be
    installed.
  * EditFile: Don't try and store temporary files in /usr/bin.
  * EditBugReport: Don't include a newline in the bug title.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 16 Nov 2011 14:33:04 +0200

ubuntu-dev-tools (0.135) unstable; urgency=low

  * grab-merge: Use wget -nv rather than -q, so that we see error messages
    (LP: #881967)
  * requestsync: Make --lp the default.
  * submittodebian: Use prettier patch filenames (LP: #887333)
  * mk-sbuild:
    -Allow creating experimental chroots again (LP: #885499)
    - experimental shouldn't be the default in experimental chroots.
    - Add --eatmydata flag (LP: #888440)
  * pbuilder-dist:
    - Support using non-master mirrors. Thanks Mathieu Parent. (LP: #824285)
    - Enable non-release pockets by default (LP: #781003)
  * New scripts:
    - reverse-depends: Replaces reverse-build-depends. Uses an UbuntuWire
      webservice for determining all reverse(-build)-dependencies for a
      package. (LP: #696373)
    - requestbackport: Files a backport request bug report, including a full
      testing checklist.
  * Don't allow boilerplate prompts through in submittodebian and requestsync
    (LP: #887336)
  * Add changelog retrieval to lpapicache, and use this in syncpackage and
    requestsync. The changelogs should be available in Launchpad sooner than
    Debian PTS.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Nov 2011 01:51:36 +0200

ubuntu-dev-tools (0.134) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild: Correct typo in variable name. Thanks Laurent Declercq.
    (Closes: #645917)
  * Remove massfile. Neglected and unused (LP: #145598)
  * syncpackage, requestsync: Sync from testing for LTSs (LP: #876400)
  * syncpackage:
    - Ignore CURRENT blacklisting: it's buggy, and we don't have a good use
      for it.
    - Always display blacklist comments, if they exist.
    - Display timestamps for DSD blacklist comments.
    - Add --fakesync option, relegating --no-lp to really crazy corner cases.
  * sponsor-patch: Compare new sync version to the current Ubuntu version,
    rather than itself (LP: #878499)
  * sponsor-patch.1: Mention syncs (LP: #882085)

  [ Benjamin Drung ]
  * syncpackage: Catch user abort.

  [ Scott Moser ]
  * mk-sbuild: better support apt http proxy (LP: #881654)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 28 Oct 2011 10:16:15 +0200

ubuntu-dev-tools (0.133) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild: Only grant access to the admin group when it exists
    (Closes: #642824)
  * Add Depends and Build-Depends for python-distro-info, which has split out
    of distro-info.
  * syncpackge: Gracefully deal with no available changelog from Debian (PTS
    changelogs aren't available immediately)

  [ Benjamin Drung ]
  * syncpackage: Allow syncing to -proposed with --no-lp.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Oct 2011 18:18:51 +0200

ubuntu-dev-tools (0.132) unstable; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch:
    - Refactor code.
    - Support sync requests and make ack-sync obsolete (LP: #764763).

  [ Stefano Rivera ]
  * syncpackage: Looks like we can't expect exactly one DSD record for every
    source package (LP: #846890)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 22 Sep 2011 12:31:57 +0200

ubuntu-dev-tools (0.131) unstable; urgency=low

  [ Stefano Rivera ]
  * doc/requestsync.1: Correct default value for REQUESTSYNC_SMTP_SERVER
    (LP: #844992)
  * import-bug-from-debian: Bugs are filed against source packages in Ubuntu.
    (LP: #844734)
  * Debian source publication records are all Published now, not pending
    (LP: #845487)
  * requestsync:
    - Add nice error messages to gpg-signing code, rather than simple
      assertions (LP: #537288)
    - Extract current Ubuntu delta from changelog entries and provide for
      editing (LP: #547925)
  * submittodebian:
    - Don't parse the entire changelog, to avoid bumping into past illegal
      version numbers (LP: #727314)
    - Iterate over changelog blocks rather than using Changelog's private
      _blocks list.
  * LP: #806633:
    - ubuntutools.update_maintainer: Don't use strict changelog parsing
    - sponsor-patch: Perform strict validation on the first changelog entry.
  * setup-packaging-environment:
    - Software Sources isn't on the Administration menu, post Gnome 2
      (LP: #841975)
    - Use apt-get rather than aptitude.
  * Removed get-build-deps, mk-build-deps -ir is equivalent (LP: #158108)
  * ubuntutools.archive:
    - Add quiet option to silence downloading.
    - Use wget-style progress bar (fixed width) (LP: #845787)
  * Bump python-debian B-D and Depends to 0.1.20 for unicode Changelog
    reading.
  * backportpackage: Use absolute path of workdir when test-building.

  [ Colin Watson ]
  * syncpackage: Fix typo.

  [ Benjamin Drung ]
  * ubuntutools/requestsync: Follow PEP 8 naming conventions.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Sep 2011 16:48:23 +0200

ubuntu-dev-tools (0.130) unstable; urgency=low

  * pull-lp-source: Support source packages with a bad version string
    (LP: #844682).
  * backportpackage:
    - Search for newer versions in -{updates,security} on Ubuntu (LP: #823833).
    - Use Ubuntu and Debian as fall back check in codename_to_distribution to
      allow backporting to Ubuntu from a Debian system (LP: #823832).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 08 Sep 2011 22:04:11 +0200

ubuntu-dev-tools (0.129) unstable; urgency=low

  [ Colin Watson ]
  * syncpackage: Convert to new LP API, with --no-lp available for the old
    style of operation.
  * syncpackage: Require -f/--force option to overwrite Ubuntu changes.

  [ Jelmer Vernooij ]
  * Remove several tools not specific to Ubuntu that have been migrated to
    lptools (LP: #708886):
   - get-branches (renamed to lp-get-branches)
   - grab-attachments (renamed to lp-grab-attachments)
   - lp-project-upload
   - lp-list-bugs
   - lp-set-dup
   - lp-shell

  [ Stefano Rivera ]
  * syncpackage: Show changes to be synced when performing native syncs.
  * syncpackage: Check the sync blacklist.
  * syncpackage: Support --bug (extra bugs to be closed by the sync) with
    native syncs. (Bugs are closed one individually, via the API, post-sync)
  * dgetlp, submittodebian, 404main: Use unicode strings for literal strings
    containing non-ASCII characters (LP: #836661)
  * Recommend pbuilder | aptitude for get-build-deps, and exit with an error
    if neither are installed (LP: #799368)
  * get-build-deps: Tell aptitude not to follow Recommends (LP: #817500)
  * doc/requestsync.1: Document the -C option (LP: #833408)
  * ubuntutools.archive: Don't write .dsc files until we pull the entire
    source package, just hold it in memory. Avoids littering the current
    directory (LP: #838361)
  * Run harvest as part of sponsor-patch (LP: #833699)

  [ Julian Taylor ]
  * requestsync: omit dups when checking for duplicate requests (LP: #842217)

  [ Benjamin Drung ]
  * sponsor-patch: Default to not upload the package.
  * requestsync: Do not crash on user abort (Closes: #637168).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 06 Sep 2011 14:31:31 +0200

ubuntu-dev-tools (0.128) unstable; urgency=low

  [ Stefano Rivera ]
  * ubuntutools.builder: Detect missing builder and fail early.
  * backportpackage: Backport from local source packages again (LP: #801945)
  * ubuntutools.test.test_archive: Forgive newer python-debian's for calling
    GpgInfo.from_sequence() with the optional keyrings arguments.

  [ Julian Taylor ]
  * lp-shell: use ipython shell if available

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Aug 2011 11:15:18 +0200

ubuntu-dev-tools (0.127) unstable; urgency=low

  * Move debian-distro-info, distro-info, and ubuntu-distro-info from
    ubuntu-dev-tools into distro-info.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Jul 2011 22:07:18 +0200

ubuntu-dev-tools (0.126) unstable; urgency=low

  [ Evan Broder ]
  * ubuntutools.misc: Add a new "system_distribution_chain", which returns
    a list starting with the current distribution and working its way up
    each distribution's parent.
  * ubuntutools.misc: Add a function to find the distribution that
    used a given release codename.
  * backportpackage, doc/backportpackage.1: Accept codenames from any
    distribution in the parenting chain. Makes it possible to, e.g.,
    backport from Debian. (LP: #703099)
  * ubuntutools.subprocess:
    - New drop-in replacement wrapper module around subprocess that
      backports the restore_signals kwarg and defaults close_fds=True
    - Switch everything previously using subprocess to use
      ubuntutools.subprocess instead (LP: #785854)

  [ Stefano Rivera ]
  * submittodebian: Write a usable .reportbugrc if it doesn't exist.
    (LP: #800429)

  [ Benjamin Drung ]
  * Add experimental to list of Debian distributions.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Jun 2011 16:38:49 +0200

ubuntu-dev-tools (0.125ubuntu1) oneiric; urgency=low

  [ Benjamin Drung ]
  * backportpackage: Use --force-bad-version instead of --allow-lower-version
    (which requires a parameter) for debchange.
  * Adjust EOL date of Ubuntu 9.10 "Karmic Koala".

  [ Stefano Rivera ]
  * ubuntutools.archive: Display any errors rmadison emits, rather than
    guessing at the cause. (LP: #788447)
  * sponsor-patch: Use dch --release instead of --edit to work with
    DEBCHANGE_RELEASE_HEURISTIC=changelog.

  [ Dustin Kirkland ]
  * doc/lp-project-upload.1, lp-project-upload:
    - add support for optionally specifying files containing the changelog
      and release notes for the release
    - allows scripts to avoid the interactive editors
    - document these changes in the manpage

  [ Didier Roche ]
  * lp-project-upload:
    - fix a bug when new milestone wasn't specified (LP: #797170)
  * get-build-deps:
    - fix a wrong parser when some build-dep have an epoch

  [ Brian Murray ]
  * grab-attachments, doc/grab-attachments.1:
    - add in download attachments from duplicates
    - add in download attachments from all bugs about a package
    - document new options in the manpage

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jun 2011 11:50:17 +0200

ubuntu-dev-tools (0.124) unstable; urgency=low

  [ Benjamin Drung ]
  * Move add-patch, edit-patch, suspicious-source, what-patch, and wrap-and-sort
    from ubuntu-dev-tools into devscripts (Closes: #568481).

  [ Daniel Holbach ]
  * bitesize:
    - display error message properly (LP: #785973).
    - error out if bug is already marked as 'bitesize'.
    - rephrase bug comment and subscribe person who adds the comment.
    - work-around LP:336866 and LP:254901.

  [ Stefano Rivera ]
  * mk-sbuild:
    - maintainer_name isn't mandatory any more (LP: #787051)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 25 May 2011 18:27:46 +0200

ubuntu-dev-tools (0.123) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild:
    - Disable daemons with a policy-rc.d script (like pbuilder does)
    - Move package installation after option parsing.
    - Exit 0 when showing help, and support -h.
    - Determine distribution from release name (via distro-info).
    - Reformat manpage.
    - Install qemu-user-static instead of qemu-kvm-extras-static.
    - Put schroot configuration in chroot.d/sbuild-$chroot (LP: #736808)
    - Understand Debian distribution synonyms, and store the chroot under the
      code name.
    - Support Debian experimental.

  [ Daniel Holbach ]
  * bitesize, doc/bitesize.1: add script to tag a bug as bitesize and add a
    comment that you are willing to help with fixing the bug.

  [ Benjamin Drung ]
  * sponsor-patch: Fix assertion error if a relative working directory
    is specified (LP: #785923).

 -- Benjamin Drung <bdrung@debian.org>  Fri, 20 May 2011 21:29:45 +0200

ubuntu-dev-tools (0.122) unstable; urgency=low

  [ Ted Gould ]
  * lp-project-upload: Add an optional parameter for creating a new
    milestone to add future bugs to.

  [ Benjamin Drung ]
  * data/ubuntu.csv: Update end-of-life dates.

  [ Brian Murray ]
  * grab-attachments: download the attachments to a folder named after the bug
    number e.g. bug-1

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Apr 2011 13:52:01 +0200

ubuntu-dev-tools (0.121) unstable; urgency=low

  [ Daniel Holbach ]
  * harvest, setup.py: install tool that queries Harvest for information
    about open opportunities for a given source package.

  [ Stefano Rivera ]
  * ubuntutools.archive.rmadison: suite can be None, handle this correctly.
  * pull-debian-debdiff: Convert distance to an integer, so it works when
    specified.
  * sponsor-patch, doc/sponsorpatch.1: Clarify that --upload or --workdir is
    required. (LP: #712721)
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.

  [ Benjamin Drung ]
  * ubuntutools.update-maintainer: Do not use python-debian to parse
    debian/control to avoid mangling this file (LP: #756373). The new
    simplified parser has no problems with comments in debian/control
    (LP: #701487, #713827).
  * doc/setup-packaging-environment.1: Fix typo.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop transitional qemu-kvm-extras-static from alternative suggests.

  [ Ted Gould ]
  * lp-project-upload: Use a milestone that already exists if there is
    one to use.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 19 Apr 2011 08:49:06 +0200

ubuntu-dev-tools (0.120) unstable; urgency=low

  [ Felix Geyer ]
  * pull-lp-source.1: Document -d option.

  [ Stefano Rivera ]
  * ubuntutools.archive: Filter rmadison results. (LP: #710579)
    - Canonicalise suites (use code-names) before passing them to rmadison.
  * pull-{lp,debian}-source: Download requested versions, as well as simply
    the latest version in a release.
  * pull-{lp,debian}-source, pull-debian-debdiff: Catch KeyboardInterrupt.
    (LP: #713845)
  * pull-debian-source: Handle -p-u and -security suites.
  * Bump X-Python-Version to >= 2.6, now that python-launchpadlib no longer
    supports Python 2.5.

  [ Julian Taylor ]
  * add support for cowbuilder and cowbuilder-dist in builder.py
    - allows use in sponsor-patch and backportpackage (LP: #728751)

  [ Benjamin Drung ]
  * data/ubuntu.csv: Add Oneiric Ocelot to the list of know releases.
  * ubuntutools.distro_info: Fix TypeError crash and add a test case to
    catch regressions (LP: #731398).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Mar 2011 22:07:47 +0200

ubuntu-dev-tools (0.119) unstable; urgency=low

  * Support Launchpadlib 1.9. (LP: #725231, #725092)
    - Document Launchpadlib 1.9 issues in NEWS.
  * Remove manage-credentials, and credential handling code from
    ubuntutools.lp.libsupport. Launchpadlib 1.9 handles this via
    python-keyring. (LP: #387297, #645629, #689100)
  * Use Launchpadlib.login_with() directly in scripts.
  * Remove ubuntutools.lp.libsupport.approve_application, no longer used.
  * Remove ubuntutools.lp.libsupport.get_launchpad, no longer used.
  * Remove ubuntutools.lp.libsupport.translate_api_web, no longer used.
  * Skip pylint test if it crashes.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Mar 2011 15:04:40 +0200

ubuntu-dev-tools (0.118) unstable; urgency=low

  * requestsync: Use from...import require_utf8() to work around unexpected
    scoping from a later import (LP: #723630)
  * Add myself to Uploaders.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Feb 2011 15:21:32 +0200

ubuntu-dev-tools (0.117) unstable; urgency=low

  [ Benjamin Drung ]
  * dgetlp, import-bug-from-debian, suspicious-source:
    Show error messages instead of having the import errors for
    recommended packages (Closes: #613101, LP: #693813).
  * update_maintainer.py: Update Maintainer field if it is set to
    "Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>".

  [ Stefano Rivera ]
  * ubuntutools/archive.py: Rewrite launchpadlib redirects to https when
    fetching dscs.
  * debian/control:
    - Suggest qemu-user-static | qemu-kvm-extras-static. Ubuntu provides a
      qemu-user-static package, like Debian, since natty.
    - Drop Build-Depend on Recommend on libapt-pkg-perl. No longer used.
  * grab-merge: Show help when no arguments are provided.
  * pull-revu-source: Check for the availability of libwww-perl, and print a
    more helpful error.
  * requestsync, grep-merges: Require a UTF-8 locale. (Closes: #613114,
    LP: #553795)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 22 Feb 2011 00:42:33 +0100

ubuntu-dev-tools (0.116) unstable; urgency=low

  [ Benjamin Drung ]
  * suspicious-source:
    - Add .icns and .java to extension whitelist.
    - Add image/vnd.adobe.photoshop to the mime-type whitelist.
  * data/debian.csv: Add wheezy and release date of squeeze.
  * *distro-info: Add a "created" column to the data.
  * wrap-and-sort: Wrap and sort Build-Conflicts too.
  * Move debian-keyring from Suggests to Recommends (LP: #717245).
  * ubuntutools/test/example_package.py: Use dpkg-source directly instead of
    dpkg-buildpackage to avoid running fakeroot inside fakeroot which leads
    to a FTBFS on natty.

  [ Stefano Rivera ]
  * debian/copyright:
    - Files is space-separated, not comma.
    - Bump Format revision.

  [ Kees Cook ]
  * ubuntutools/update_maintainer.py: do nothing if the rules file
    already manages XSBC-Original (e.g. python).
  * ubuntutools/test/test_update_maintainer.py: update test cases to
    handle checking for debian/rules.
  * mk-sbuild: work around apt's invocation of GPG needing root's
    .gnupg directory to already exist.

  [ Michael Bienia ]
  * Use the new web_link attribute of LP objects instead of our own
    translate_api_web() function.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 12 Feb 2011 19:02:59 +0100

ubuntu-dev-tools (0.115) unstable; urgency=low

  [ Stefano Rivera ]
  * Catch DownloadErrors in ubuntutools.archive users. (LP: #708862)

  [ Scott Kitterman ]
  * Update requestsync to send to Launchpad's MX record instead of hard
    coding to the old MX (fiordland) (LP: #710925)
  * Recommend python-dns

 -- Benjamin Drung <bdrung@debian.org>  Tue, 01 Feb 2011 13:58:07 +0100

ubuntu-dev-tools (0.114) unstable; urgency=low

  [ Stefano Rivera ]
  * ubuntutools.archive: Handle source package in workdir correctly.
    Add regression tests. (LP: #706403)
  * syncpackage: Don't fakesync when we have a new orig tarball (LP: #707187)

  [ Dustin Kirkland ]
  * debian/control, debian/copyright, doc/errno.1, errno, setup.py:
    - purge the errno utility per request of the ubuntu-dev-tools
      maintainer;  errno now provided by the 'errno' package; (LP: #666540)

  [ Benjamin Drung ]
  * wrap-and-sort: Add option to use on individual file (LP: #699696).
  * update_maintainer.py: Process control.in first.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 25 Jan 2011 22:58:05 +0100

ubuntu-dev-tools (0.113) unstable; urgency=low

  [ Benjamin Drung ]
  * debian-distro-info, distro-info, ubuntu-distro-info: New tools.
  * Use new ubuntutools.distro_info in various scripts.

  [ Stefano Rivera ]
  * backportpackage: dput correct changes filename (regression in 0.112)
    (LP: #706010)
  * Use new *-distro-info in:
    - bash_completion/pbuilder-dist: To determine pbuilder file names.
    - dch-repeat.
    - reverse-build-depends.
  * pbuilder-dist: Use ubuntutools.logger.
  * pbuilder-dist-simple: Remove all mention of supporting Debian.
    (LP: #481223)
  * pull-debian-source: Rewritten in Python to take advantage of the new
    ubuntutools library functions.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Jan 2011 21:06:57 +0100

ubuntu-dev-tools (0.112) unstable; urgency=low

  [ Robert Collins ]
  * manage-credentials: Finish migrating away from the Launchpad 'edge' service
    root. (LP: #704657)

  [ Stefano Rivera ]
  * New source package downloading framework in ubuntutools.archive. Use in
    many scripts.
  * pull-lp-source: str() exceptions before passing to Logger (LP: #695523)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 20 Jan 2011 10:25:57 +0100

ubuntu-dev-tools (0.111) natty; urgency=low

  * ubuntutools/test/test_help.py: Blacklist --help test for check-mir, it
    does not have help. Fixes FTBFS on the buildd.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jan 2011 20:15:41 -0600

ubuntu-dev-tools (0.110) natty; urgency=low

  * doc/check-mir.1: Fix typo.
  * check-mir: Check binary dependencies, too.
  * debian/control: Add check-mir to package description.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jan 2011 19:28:20 -0600

ubuntu-dev-tools (0.109) natty; urgency=low

  [ Stefano Rivera ]
  * Convert debian/copyright to DEP5, make sure all scripts are listed
    (LP: #692003)
  * Drop preinst (pbuilder-dist bash_completion handling), it is not required
    for any current upgrade path on Debian or Ubuntu.
  * Switch to dh_python2:
    - Use X-Python-Version instead of XS-Python-Version.
    - Use ${python:Breaks} to specify Python version compatibility.
  * Support reading configuration variables from devscripts configuration
    files. (LP: #681693)
    - Added ubuntu-dev-tools.5
    - Support this in many u-d-t scripts, and update manpages.
    - Deprecate old configuration environment variables.
  * Support the combined "Name <email>" format in UBUMAIL, DEBFULLNAME, and
    DEBEMAIL. (LP: #665202)
  * Add the beginnings of a test suite. (LP: #690386)
    - Switch to setuptools, to support setup.py test.
    - Test for that every script can run --help and return 0.
    - 404main, merge-changelog, pull-debian-debdiff, pull-debian-source,
      pull-revu-source:
      + Return 0 after showing help.
    - Run pylint on Python source code.
  * ubuntutools/common.py: Remove https_proxy unsetting code, working around
    LP: #94130.
  * edit-patch: Don't let cat error through if debian/source/format doesn't
    exist.
  * pull-debian-debdiff: Rewrite in Python, and use snapshot.debian.org.
  * pull-lp-source: Support -d (LP: #681699)
  * suspicious-source: Whitelist Python source code.
  * import-bug-from-debian: Add --package option, for importing bugs from
    pseudo-packages.

  [ Michael Bienia ]
  * ubuntutools/lp/lpapicache.py: Allow easier selection of 'staging' as LP
    instance to use (LP: #693060).

  [ Benjamin Drung ]
  * sponsor-patch:
    - Add new --lpinstance and --no-conf options.
    - Support configuration files.
    - Default to a temporary workdir and clean it up (LP: #691467).
    - Fix 'str' object has no attribute 'startwith' crash caused by a typo.
    - Fix crash if uploading to ubuntu without building the package before.
    - Fix: The package was only uploaded if the target was "ubuntu".
  * Recommend bzr-builddeb (used by sponsor-patch for branches).
  * Add most dependencies to Build-Depends for successfully run the tests.
  * Recommend python-gnupginterface (used by dgetlp).
  * update-maintainer: Rewrite completely using python-debian (LP: #666504).
  * ubuntutools/packages.py: Removed (used nowhere).

  [ Michael Vogt ]
  * add "add-patch" that provides the non-interactive version of
    edit-patch

  [ Martin Pitt ]
  * Add check-mir script: Check components of build dependencies and warn
    about universe/multiverse ones, for a package destined for
    main/restricted. Add doc/check-mir.1 manpage.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jan 2011 19:16:33 -0600

ubuntu-dev-tools (0.108) experimental; urgency=low

  [ Stefano Rivera ]
  * lp-shell, import-bug-from-debian:
    Use the 'production' LP instance instead of 'edge' (which is going away).
  * pbuilder-dist:
    - Fix typo in local archive support, introduced in 0.107.
    - Warn user if they run sudo pbuilder-dist (LP: #691999).
  * Drop unnecessary debian/pycompat

  [ Benjamin Drung ]
  * pull-lp-source: Unquote URI to get "+" instead of "%2B" in the file name
    (LP: #681114).
  * sponsor-patch: Allow updating the build environment if the build failed.
  * ubuntu-iso: Exit nonzero rather than crash if a wrong parameter is passed
    (LP: #637020).

  [ Colin Watson ]
  * grep-merges: New tool.
  * ubuntu-iso(1): Fix typo.

  [ Evan Broder ]
  * backportpackage: new script for testing backport requests in a PPA.
  * sponsor-patch: Add --update option to make sure build environment is
    up to date (LP: #689605)

  [ Bilal Akhtar ]
  * pbuilder-dist: Override the default build result location if
    --buildresult is specified.
  * sponsor-patch: Support building with pbuilder-dist.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 19 Dec 2010 00:57:38 +0100

ubuntu-dev-tools (0.107) experimental; urgency=low

  [ Stefano Rivera ]
  * edit-patch: Detect quilt patch-system in 3.0 (quilt) packages without any
    patches yet.
  * wrap-and-sort:
    - Correct typo in options --wrap-allways -> --wrap-always
    - Sort debian/install as well as debian/*.install
    - Add one-space-indentation option: --short-indent
    - Remove null-entry from trailing comma in sorted lists
    - Add configurable debian directory location
    - Sort Architecture (LP: #681131)
    - Add --sort-binary-packages and --keep-first (LP: #681119)
  * grab-merge, syncpackage: Export DEB_VENDOR=Ubuntu when unpacking source
    packages. 3.0 (quilt) has optional per-vendor patch series.
  * pbuilder-dist:
    - Refactor to use subprocess.popen instead of os.system (LP: #398974)
    - Catch OSErrors when creating directories (LP: #671067)
    - Set HOME so pbuilder reads .pbuilderrc
    - Add bidirectional workarounds for LP: #599695 (pbuilder uses the host
      apt keyring). Complain if the target's keyring isn't installed.
  * Use dpkg-vendor in ubuntutools.misc.system_distribution(), cache result.

  [ Benjamin Drung ]
  * wrap-and-sort: Remove duplicate items from sorted lists.
  * syncpackage: Fix error message for failed downloads.
  * sponsor-patch: Support building with sbuild (LP: #681242).

  [ Daniel Holbach ]
  * submittodebian: rephrase boilerplate text to be more polite, add reminder
    to explain the patch sufficiently and add necessary information.

  [ Colin Watson ]
  * submittodebian: Encourage sending multiple independent pieces of the
    Ubuntu patch in separate bug reports.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 03 Dec 2010 00:14:25 +0100

ubuntu-dev-tools (0.106) experimental; urgency=low

  [ Kees Cook ]
  * mk-sbuild: drop "priority" option; sbuild no longer uses it.

  [ Benjamin Drung ]
  * sponsor-patch: Call dpkg-source with --no-preparation to not apply patches
    if the packages uses the 3.0 (quilt) format.
  * debian/control: Use shorter addresses for VCS-* fields.

  [ Michael Bienia ]
  * pull-debian-source: Fix logical error in abort check (lp: #678072).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Nov 2010 15:41:43 +0100

ubuntu-dev-tools (0.105) experimental; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist, doc/pbuilder-dist.1:
     - Export the distribution and architecture information to the environment
       so that it is available in pbuilderrc, etc. (LP: #628933).

  [ Naty Bidart ]
  * lp-project-upload: Add support handling multiple project series.

  [ Kees Cook ]
  * mk-sbuild: use --no-install-recommends on Debian too (Closes: #599699).

  [ Marco Rodrigues ]
  * pull-debian-source:
     - Show message when a package isn't in Debian testing (LP: #529041).

  [ Stefano Rivera ]
  * doc/syncpackage.1:
     - Add a warning that the use of syncpackage is discouraged.
     - Correct and neaten options.
  * syncpackage:
     - Add --dont-sign parameter, for test builds.

  [ Christopher James Halse Rogers ]
  * mk-sbuild: Add support for btrfs-snapshot based chroots

  [ Iain Lane ]
  * pbuilder-dist: Explicitly use debian keyring when working with a
    Debian chroot, working around #599695

  [ Benjamin Drung ]
  * syncpackage:
    - Don't crash if environment variables aren't set (LP: #665202).
    - Don't add quotation marks to changelog entries (LP: #668805).
    - Show a error message instead of raising an error if Ubuntu contains a
      newer version.
    - Print an error message if the source-only build fails (LP: #668749).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 30 Oct 2010 20:58:30 +0200

ubuntu-dev-tools (0.104) experimental; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Fix regression where pbuilder would get an empty string as first
       positional argument.
     - Update --debug-echo so that it doesn't hide empty parameters (now
       that they are wrapped around quotes they are significant).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 25 Sep 2010 13:14:46 +0200

ubuntu-dev-tools (0.103) experimental; urgency=low

  [ Benjamin Drung ]
  * sponsor-patch:
    - Fix NameError: global name 'debdiff_filename' is not defined.
    - Add --workdir parameter to set the working directory.
  * ubuntutools/update_maintainer.py: Fix failure if debian/control.in is a
    directory.

  [ Luca Falavigna ]
  * debian/control:
    - Add Benjamin Drung to Uploaders.
    - Add DM-Upload-Allowed field, this way Benjamin can upload new
      versions on his own.
  * ubuntutools/misc.py:
    - Use output of dpkg --print-architecture command to correctly display
      platform architecture (Closes: #594424).

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Do not show a warning when "experimental" is used; there is no
       debootstrap file for it but it should just work anyway.
     - Wrap any extra (user) arguments appended to the pbuilder command with
       quotation marks, when needed (LP: #398989).
  * bash_completion/pbuilder-dist:
     - Enable auto-completion for "pbuilder-experimental".
  * doc/pbuilder-dist.1:
     - Move the documentation for --main-only (previously "mainonly") and
       --debug-echo to a new Options section.

  [ Stefano Rivera ]
  * Add manpages for sponsor-patch and import-bug-from-debian.
  * hugdaylist, manage-credentials, massfile, merge-changelog,
    ubuntutools/requestsync/common.py: Some pyflakes-induced cleanup.
  * ubuntutools/lp/libsupport.py: Support production API URLs in
    translate_web_api.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 22 Sep 2010 18:13:27 +0200

ubuntu-dev-tools (0.102) experimental; urgency=low

  [ Dustin Kirkland ]
  * errno, doc/errno.1, debian/control, debian/copyright, setup.py:
    - add an errno utility, LP: #612267

  [ Kees Cook ]
  * mk-sbuild: update examples to include "-A".

  [ Benjamin Drung ]
  * suspicious-source: whitelist font source formats. Thanks to Nicolas
    Spalinger for the patch (LP: #365147).
  * Update the man page of suspicious-source to match the rewrite.
  * syncpackage:
    - Don't upload orig tarball if not needed.
    - Print error message if the download fails (LP: #639899).
    - Check if the specified Debian component is valid (LP: #639896).
  * update-maintainer: Don't change the Maintainer field if the email is set
    to a @lists.ubuntu.com address.
  * sponsor-patch: New script to download a patch from a Launchpad bug, patch
    the source package, build, check and uploads it (to Ubuntu or a PPA).
  * wrap-and-sort: New script to wrap long lines and sort items in packaging
    files.

  [ Stefano Rivera ]
  * update-maintainer: Correctly update the Maintainer field to the new Ubuntu
    Developers address (instead of the calling user) when the package is not
    in Debian.

  [ Iain Lane ]
  * all: Use production API rather than edge by default. Should be more
    reliable and was advised by lifeless (LP team).

  [ Michael Bienia ]
  * Add 'natty' to recognized names and make it the default.

  [ Colin Watson ]
  * Fix NAME section of lp-set-dup(1).
  * lp-list-bugs: New tool.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Sep 2010 11:10:04 +0200

ubuntu-dev-tools (0.101) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * syncpackage: Update manpage to reflect current usage. (Closes: #587142,
    LP: #598477)
  * ubuntu-build: Update manpage to reflect current usage. (LP: #490535)
  * edit-patch: Add manpage. (LP: #538379)
  * massfile: Add manpage.
  * pull-debian-debdiff: Add manpage.
  * setup-packaging-environment: Add manpage.
  * ubuntu-iso: Add manpage.

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Switch to dpkg-source 3.0 (native) format.
  * Switch to simple dh7 rule.
  * syncpackage:
    - Use Version class from python-debian to fix extraction of upstream
      version for debian versions that contain more than one dash.
    - Prepend script name to every output
    - Output every executed command in verbose mode
    - Print proper error message if the dsc file is malformed.
  * update-maintainer: Add a --quiet option.
  * suspicious-source: Replace with total rewrite in Python using python-magic.

  [ Michael Bienia ]
  * ubuntutools/lpapi/lpapicache.py: Use the new LP API method
    archive.checkUpload() to check upload permissions.
  * Add "import-bug-from-debian" written by James Westby.
  * Add python-soappy to Recommends.
  * requestsync: Fix bug where the variable 'hasLP' is not always set
    (lp: #607874).

  [ Steve Beattie ]
  * mk-schroot: add debootstrap include/exclude options
  * mk-schroot.1: document added options

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 04 Aug 2010 10:06:44 +0000

ubuntu-dev-tools (0.100) maverick; urgency=low

  [ Luca Falavigna ]
  * syncpackage: new script to easily upload pristine Debian packages.
  * debian/ubuntu-dev-tools.preinst:
    - It is no longer necessary to remove stale pycentral files.

  [ Felix Geyer ]
  * reverse-build-depends: Always display the correct default distribution
    name in the usage text.

  [ Iain Lane ]
  * requestsync: Fall back to using rmadison when LP indicates that no new
    version is available. The LP importer is often out of date wrt Debian when
    rmadison isn't. (LP: #574398)

  [ Benjamin Drung ]
  * syncpackage:
    - add more options and allow pulling packages from Debian.
    - add mismatching source tarball detection (for fake syncs).
  * update-maintainer:
    - Remove duplicate Original-Maintainer field.
    - Avoid duplicate Original-Maintainer field if maintainer is listed in
      Uploaders too.

  [ Michael Vogt ]
  * edit-patch:
    - support full path to the patch as well (LP: #585599)
    - support adding existing patches (e.g. from launchpad)
      thanks to David Futcher (LP: #586787)

  [ Michael Bienia ]
  * Update to the new python-debian version:
    - Depend on python-debian >= 0.1.15
    - Replace imports of debian_bundle with debian to fix the deprecation
      warnings.

  [ Daniel Hahler ]
  * mk-sbuild: add $RELEASE to error message.

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 Jun 2010 21:17:10 +0200

ubuntu-dev-tools (0.99) lucid; urgency=low

  [ Andrey Voronov ]
  * pbuilder-dist: change requested/system arch order in check (LP: #557097)

  [ Michael Bienia ]
  * Update the defaults for maverick and let requestsync and
    pull-debian-source default to unstable (lp: #472837).

 -- Michael Bienia <geser@ubuntu.com>  Thu, 22 Apr 2010 21:31:48 +0200

ubuntu-dev-tools (0.98) lucid; urgency=low

  [ Ryan Kavanagh ]
  * Added the merge-changelog script from
    https://lists.ubuntu.com/archives/ubuntu-x/2009-June/000586.html for those
    who need to manually merge packages.
  * Fixed typo in doc/grab-merge.1

  [ Soren Hansen ]
  * Update get-branches to account for changes in LP's web UI. Really, someone
    should update it to use the LP API, but for now, this will have to do.

  [ Emmet Hikory ]
  * doc/mk-sbuild.1: add missing options to summary

  [ Michael Bienia ]
  * lp-shell: Use "udt-lp-shell" as LP API consumer instead of the non-unique
    "test" (lp: #558531).
  * get-branches: Use the LP API to obtain a list of branches of a team.

  [ Loïc Minier ]
  * bash_completion/pbuilder-dist, dch-repeat: list maverick in possible
    Ubuntu dists; the default dist for reverse-build-depends and
    submittodebian should be changed in maverick.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 16 Apr 2010 12:58:22 +0200

ubuntu-dev-tools (0.97) lucid; urgency=low

  [ Michael Bienia ]
  * lp-shell:
    + Support all known LP service names.
    + Add support for using different LP API versions.
    + Add option to login anonymously into LP.
  * ubuntutools/lp/lpapicache.py, ubuntutools/lp/libsupport.py: Add support
    for different LP API versions.
  * ubuntutools/lp/__init__.py: Set the '1.0' LP API version as default.
  * massfile: Updated to 1.0 LP API.
  * doc/requestsync.1: Update the paragraph about sponsoring (lp: #538990).
  * pull-lp-source: Use (anonymously) the LP API to get the URL for the .dsc
    file instead of screen scraping.
  * Apply patch from Julian Andres Klode for the python-apt 0.8 API transition
    (Closes: #572091)
  * ubuntutools/requestsync/mail.py: Fix some more encoding issues
    (lp: #557828).

  [ Michael Vogt ]
  * edit-patch:
    - fix quilt mode when dpkg already applied all the patches
      (LP: #556297)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 08 Apr 2010 12:59:59 +0200

ubuntu-dev-tools (0.96) lucid; urgency=low

  [ Michael Bienia ]
  * ubuntu-build: missed updating a function call.

  [ Emmet Hikory ]
  * mk-sbuild: Really don't use build-arm-chroot

  [ Daniel Holbach ]
  * hugdaylist, requestsync, doc/requestsync.1:
    ubuntu-{main,universe}-sponsors → ubuntu-sponsors,
    {ubuntu,motu}-release → ubuntu-release.
  * ubuntutools/ppaput.py: removed, not necessary any more.
  * debian/copyright: removed references to ppaput.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 15 Mar 2010 10:21:31 +0100

ubuntu-dev-tools (0.95) lucid; urgency=low

  * Update reverse-build-depends for lucid

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 13:33:47 +0000

ubuntu-dev-tools (0.94) lucid; urgency=low

  [ Luca Falavigna ]
  * docs/lp-set-dup.1: add manpage for lp-set-dup.
  * debian/control: bump Standards-Version to 3.8.4, no changes needed.

  [ Emmet Hikory ]
  * mk-sbuild: switch to use qemu-debootstrap for foreign chroots
  * mk-sbuild: allow any foreign chroot (may not work, but we can try)
  * pbuilder-dist: allow any foreign chroot (may not work, but we can try)
  * doc/pbuilder-dist.1: update manpage to indicate general architecture
  * pbuilder-dist: add self. before target_distro in powerpc check

 -- Emmet Hikory <persia@ubuntu.com>  Mon, 08 Mar 2010 20:45:09 +0900

ubuntu-dev-tools (0.93) lucid; urgency=low

  [ Scott Moser ]
  * rename mk-sbuild-lv to mk-sbuild, support union-type=aufs

  [ Emmet Hikory ]
  * Support qemu-arm-static -> qemu-kvm-extras-static transition
  * mk-sbuild: automatically install qemu-kvm-extras-static if requested
  * mk-sbuild: conditionally install lvm2 only for lvm-snapshot schroots
  * mk-sbuild: rationalise architecture variables
  * mk-sbuild: Generalise --type support and add "file" SCHROOT_TYPE
  * mk-sbuild.1: Document the --type argument

  [ Loïc Minier ]
  * Demote qemu-kvm-extras-static to a Suggests since most people don't build
    for armel.

  [ Kees Cook ]
  * requestsync: add -C to allow manually adding changelog when missing
    (LP: #518574).
  * mk-sbuild: clean up and make slight adjustments to new lvm/dir/file logic.
  * mk-sbuild.1: update documentation to reflect alternative config file
    names for distro and schroot type overrides.
  * mk-sbuild, docs/mk-sbuild.1: document DEBOOTSTRAP_MIRROR for good
    measure, thanks to Paul Holcomb.

  [ Michael Bienia ]
  * ubuntutools/requestsync/mail.py: Encode the report to utf-8 before passing
    it to gpg for signing (LP: #522316).
  * Add support for the other LP service roots (edge is still default)
  * Depend on python-launchpadlib >= 1.5.4
  * Also check package sets for upload permissions.
  * lp-set-dup: Don't crash when accessing private bugs (LP: #525539)
  * requestsync: Subscribe 'ubuntu-release' to Feature Freeze exceptions
    (updated to current policy; LP: #532740)

  [ Michael Vogt ]
  * edit-patch: add wrapper around cdbs-edit-patch, dpatch-edit-patch, quilt
    to transparently deal with the various patch systems.

  [ Colin Watson ]
  * lp-shell: Disable default apport excepthook, as this is intended for
    interactive use.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2010 19:16:32 -0800

ubuntu-dev-tools (0.92) lucid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * bash_completion/pbuilder-dist:
     - Enable tab-completion for pbuilder-lucid and cowbuilder-lucid.

  [ Emmet Hikory ]
  * mk-sbuild-lv: support foreign armel schroots
  * mk-sbuild-lv: use --arch=foo rather than --arch foo for debootstrap
  * pbuilder-dist: Allow architecture-switching to armel on i386/amd64
  * pbuilder-dist: use --arch=foo rather than --arch foo for debootstrap
  * pbuilder-dist: change --mirror logic to use -ports when appropriate
  * docs/pbuilder-dist.1: Document architecture-switching for armel
  * debian/control: add qemu-arm-static to Recommends:

  [ Michael Bienia ]
  * ubuntutools/requestsync/mail.py:
    Map "sid" back to "unstable" (and "squeeze" to "testing") else rmadison
    gets a Python traceback from the remote site instead of the expected data
    (lp: #508794).

  [ Kees Cook ]
  * mk-sbuild-lv: adjust schroot.conf template to document the -source
    change further.

 -- Emmet Hikory <persia@ubuntu.com>  Wed, 03 Feb 2010 11:39:12 -0800

ubuntu-dev-tools (0.91) lucid; urgency=low

  * mk-sbuild-lv: drop deprecated keys from schroot.conf template
  * mk-sbuild-lv: enable -source access after security improvements of
                  schroot.conf template in 0.88
  * mk-sbuild-lv: document sudo requirement for -source access in final output

 -- Emmet Hikory <persia@ubuntu.com>  Sun, 17 Jan 2010 11:08:32 +0900

ubuntu-dev-tools (0.90) lucid; urgency=low

  * Include changes which were committed to 0.88, but which I forgot to
    upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 16 Jan 2010 16:28:54 +0100

ubuntu-dev-tools (0.89) lucid; urgency=low

  * Add lp-shell: Open an interactive Python shell with a
    launchpadlib.Launchpad object "lp" which is ready for use.
    If the first command line argument is "staging", this will be on staging
    instead of production.
  * Add doc/lp-shell.1: Manpage.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2010 14:34:05 +0100

ubuntu-dev-tools (0.88) lucid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Set "--mirror" option also for Ubuntu chroots, so that they work
       on Debian.

  [ Michael Bienia ]
  * requestsync: Fix a bug that prevented sync requests for new packages with
    a version smaller than 0.
  * ubuntutools/requestsync/common.py: Decode the edited report file back from
    UTF-8 so it can be encoded again in the next iteration (lp: #504263)

  [ Luca Falavigna ]
  * Fix some typos in man pages.

  [ Kees Cook ]
  * mk-sbuild-lv: drop deprecated sbuild configuration fields from template.
  * what-patch: updated for 3.0 source format.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 15 Jan 2010 14:24:51 +0100

ubuntu-dev-tools (0.87) lucid; urgency=low

  * Revert the submittodebian change to inline patches.  This is a style
    choice, the patch length has nothing to do with it; if there's demand for
    patch inlining, this should be made a (non-default) option to
    submittodebian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Dec 2009 14:41:31 -0800

ubuntu-dev-tools (0.86) lucid; urgency=low

  [ Emmet Hikory ]
  * mk-sbuild-lv: Add richer support for ports architectures in Ubuntu
  * mk-sbuild-lv: Really use -security for SOURCES_SECURITY_SUITE in Ubuntu

  [ Kumar Appaiah ]
  * submittodebian: if patch is relatively small (shorter than fifty
    lines), display it inline instead of attaching to the report.

  [ Michael Bienia ]
  * ubuntutools/requestsync/common.py: convert the changelog into a unicode
    string (lp: #498349)
  * ubuntutools/requestsync/mail.py: rmadison() returns now the most recent
    source line (Closes: #560758)

  [ Iain Lane ]
  * pull-debian-source: Return the most recent source line. Depend on
    libapt-pkg-perl for the Debian version comparison required for this.

  [ Steve Langasek ]
  * submittodebian: os.system() doesn't throw exceptions, so attempt a
    'bzr diff' first and check the return value; otherwise we get no output
    at all from submittodebian in the non-bzr case.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Dec 2009 13:03:56 -0800

ubuntu-dev-tools (0.85) lucid; urgency=low

  * submittodebian: switch to use lucid as the default distro tag.
  * submittodebian: if the package is in bzr, look for bzr metadata first
    before looking for a previous package revision in the parent dir.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Dec 2009 13:46:31 -0800

ubuntu-dev-tools (0.84) lucid; urgency=low

  [ Michael Bienia ]
  * update-maintainer: Remove the check for LP credentials again as this
    script doesn't use the LP API (Closes: #558598).
  * Rename buildd to ubuntu-build to resolve filename conflict
    (Closes: #558816).

  [ Manny Vindiola ]
  * grab-merge: Only download files listed multiple times in REPORT once

  [ Luca Falavigna ]
  * ubuntutools/lp/lpapicache.py: recent lazr.restfulclient does use of
    unicode strings, use basestring to catch bot str and unicode.
  * Depend on python-lazr.restfulclient, package was recently renamed
    from python-lazr-restfulclient to match Python naming schema.

  [ Jonathan Davies ]
  * dch-repeat: Added Lucid to releases.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 07 Dec 2009 10:18:55 +0100

ubuntu-dev-tools (0.83) lucid; urgency=low

  [ Iain Lane ]
  * lpapicache: Do not immediately bail out if we have no credentials to
    login. Clients are now expected to handle the lack of credentials
    themselves.
  * pull-lp-source: Make LP API use optional - fall back to a hardcoded
    default release if we aren't using it. (LP: #477670)
  * pull-lp-source: Detect more failure conditions and give a nice error
    instead of a trace
  * buildd, requestsync, grab-attachments, hugdaylist, update-maintainer:
    Detect & bail if we don't have credentials and need them. These scripts
    cannot continue under those circumstances.

  [ Kees Cook ]
  * mk-sbuild-lv: switch to ext4 by default.

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist, doc/pbuilder-dist.1:
     - Add "--debug-echo" option which prints the resulting pbuilder/cowbuilder
       commands instead of executing it.

  [ Martin Pitt ]
  * lp-project-upload: Generate tarball signature if it is not present yet.
  * lp-project-upload: Invoke editor to specify changelog and release notes,
    and add those to the project release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 Nov 2009 16:59:08 -0600

ubuntu-dev-tools (0.82) lucid; urgency=low

  [ Iain Lane ]
  * debian/control: Re-add XS-Python-Version - this is more standard
  * debian/pyversions: Drop
  * pbuilder-dist: Don't pass --logfile if we are trying to log in to the
    chroot - the logfile option swallows the prompt, and we probably don't
    want to log if we are using login anyway.

  [ Nathan Handler ]
  * debian/control: Mention lp-project-upload in Description

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Improve description of pbuilder-dist and mention cowbuilder-dist.
  * pbuilder-dist:
     - Abort if the host's architecture can't be determined.
     - Error out instead of showing a traceback if pbuilder-dist is called
       without any argument.
  * pbuilder-dist, ubuntutools/misc.py:
     - Move the functions used to determine the hosts architecture and
       distribution to the ubuntutools.misc module.
  * setup-packaging-environment, setup.py, debian/copyright, debian/control:
     - Add a new script, setup-packaging-environment.

  [ Luca Falavigna ]
  * ubuntutools/requestsync/lp.py: explicitly import exceptions for
    backward compatibility with Python 2.5.
  * debian/control: re-enable support for python2.5.
  * debian/copyright: update copyright holders.

  [ Michael Bienia ]
  * requestsync: request syncs from 'testing' by default (should be changed
    back to 'unstable' for lucid+1)
  * pull-debian-source: change default release to pull from to 'testing'

 -- Iain Lane <laney@ubuntu.com>  Fri, 06 Nov 2009 10:37:43 +0000

ubuntu-dev-tools (0.81) karmic; urgency=low

  [ Iain Lane ]
  * requestsync: Give an error message if no changelog entries - happens if,
    for example, the new package's changelog hasn't yet been published on p.d.o
  * update-maintainer: Also check if package is in experimental when looking
    who to update maintainer to.
  * update-maintainer: Prefer updating control.in to control; this is used by
    some Debian packages, notably those maintained by pkg-gnome.
  * debian/control: Update standards-version to 3.8.3, no changes
  * debian/control, debian/pyversions: Remove XS-Python version to
    debian/pyversions to silence a warning

  [ Jonathan Davies ]
  * debian/control: Included a short description of each script (LP: #406658).

  [ Nathan Handler ]
  * debian/control: Mention pull-revu-source in description

  [ Joe Bernard ]
  * Launchpad API changed causing pull-lp-source to fail to parse the .dsc
    file from the URL contents (LP: #436006).

 -- Iain Lane <laney@ubuntu.com>  Fri, 25 Sep 2009 20:20:49 +0100

ubuntu-dev-tools (0.80) karmic; urgency=low

  * mk-sbuild-lv: Export http_proxy. LP: #416438

 -- Michael Terry <michael.terry@canonical.com>  Thu, 10 Sep 2009 10:53:30 -0400

ubuntu-dev-tools (0.79) karmic; urgency=low

  * Add lp-project-upload: Upload a release tarball to a Launchpad project.
  * Add doc/lp-project-upload.1: Corresponding manpage.
  * setup.py: Add lp-project-upload.
  * debian/copyright: Add lp-project-upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 05 Sep 2009 16:42:10 +0200

ubuntu-dev-tools (0.78) karmic; urgency=low

  [ Nathan Handler ]
  * setup.py: Add pull-revu-source to list of scripts

  [ Steve Langasek ]
  * Set XS-Python-Version to 2.6 or better, due to use of 2.6-specific
    syntax in requestsync.
  * Bump the python-all-dev build-dep as well

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Sep 2009 12:17:03 -0700

ubuntu-dev-tools (0.77) karmic; urgency=low

  [ Nathan Handler ]
  * pull-revu-source: Update to use dsc.py to get dsc URL

  [ Michael Bienia ]
  * Install also the ubuntutools/requestsync/* modules (lp: #421627)

 -- Michael Bienia <geser@ubuntu.com>  Tue, 01 Sep 2009 10:56:29 +0200

ubuntu-dev-tools (0.76) karmic; urgency=low

  [ Nicolas Valcárcel ]
  * mk-sbuild-lv:
    - Add check for built-in dm_snapshot (LP: #398414)

  [ Andreas Moog ]
  * update-maintainer:
    - Don't silently fail when Maintainer-Field contains a comment
      in brackets. (LP: #397144)
    - Don't add second XSBC-Original-Maintainer if Maintainer was set
      to Motu or Core-Dev.

  [ Michael Bienia ]
  * Drop python-launchpad-bugs from Depends.
  * Add python-lazr-restfulclient to Depends.
  * buildd: Add a --batch mode for batch retrying/rescoring of packages.
  * requestsync:
    - Use UBU* environment variables before the DEB* ones (lp: #400133)
    - Split requestsync into a "mail" module and a "lpapi" module and use
      the LP API only when --lp was used. In "mail" mode requestsync has
      to ask some more questions for parts it can't find out without LP API.
      (lp: #406659, #416955)

  [ Iain Lane ]
  * requestsync:
    - Guard some calls when -n is specified
    - Fetch changelog of specified version, not current version. If an
      experimenal upload happened after the unstable one we're syncing, this
      is considered to be current by p.d.o and we would get those changelog
      entries in the sync request
    - Remove trailing fullstop from sync bug title
  * suspicious-source: Add *.hs *.el *.css to whitelist

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Expand "~" in PBUILDFOLDER to the user's home directory.
     - If there's a "etc/<distro>/apt.conf" file inside the build result
       directory, pass it to pbuilder as --aptconfdir. Thanks to Paul Novotny
       and Ryan Pavlik (LP: #363043).

  [ Luca Falavigna ]
  * Switch to python-support to ease initial import into Debian:
    - debian/control: build-depend on python-support instead of pycentral,
      also remove unneeded XB-Python-Version field from binary stanza.
    - debian/rules: set DEB_PYTHON_SYSTEM to pysupport.
    - ubuntu-dev-tools.preinst: remove stale pycentral files on upgrades.

  [ Nathan Handler ]
  * Add pull-revu-source and doc/pull-revu-source.1
  * Update debian/copyright to include pull-revu-source

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 30 Aug 2009 17:24:23 +0000

ubuntu-dev-tools (0.75) karmic; urgency=low

  [ Michael Bienia ]
  * buildd:
    - Use the LP API for retrying or rescoring builds.
  * requestsync:
    - Fix check for sponsorship when a new package should get synced.
    - Add "done" as last email command when emailing the sync request
      to stop parsing of the email body for further email commands
      (lp: #372555)

  [ Jonathan Davies ]
  * update-maintainer:
    - Rewrote in Python and adapted to use Maintainer field spec approved by
      the Technical Board at:
      - https://lists.ubuntu.com/archives/ubuntu-devel/2009-May/028213.html
    - Do not make changes if maintainer email is set to an
      @ubuntu.com email address.
  * requestsync:
    - Adapt to use new checkIsInDebian() function in ubuntutools/packages.py.
    - urlopener module is no longer required here.
  * pull-lp-source:
    - Return an error message if dget is not installed.
    - Use os.path.exists() instead of catching an error message
      to check if dget is installed.
  * TODO: pull-lp-source task done.
  * ubuntutools/packages.py: Created checkIsInDebian() function.
  * ubuntutools/lp/functions.py: Improved error messages, and made prettier
    functions.
  * ubuntutools/lp/libsupport.py: Fail if we're unable to import launchpadlib
    (we need it to run stuff).
  * ubuntutools/lp/urlopener.py: Removed - module no longer needed.
  * ubuntutools/lp/cookie.py: Removed - module no longer needed - we use
    Launchpad API support now.
  * buildd:
    - Use launchpadlib to check the Ubuntu release is valid.
    - Moved Launchpad module imports here - speed up usage parsing to improve
      user experience.
    - Do not display override message if --arch is not used.
    - Fix permissions warning message and do not mention teams as we check on
      a per package basis.

  [ Colin Watson ]
  * Rewrite 404main using python-apt. Note that this requires python-apt
    0.7.9, not in jaunty.
  * Get rid of the last remaining use of subprocess.Popen(shell=True) in
    404main.

  [ Luke Yelavich ]
  * lp-set-dup: Add missing % needed for string substitution. Thanks to
    Robert Ancell for the fix.

  [ Iain Lane ]
  * requestsync: We need to use the output from madison, not just throw it
    away.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 06 Jul 2009 17:46:21 +0200

ubuntu-dev-tools (0.74) karmic; urgency=low

  [ Kees Cook ]
  * mk-sbuild-lv:
    - Skip security repo for Debian unstable, thanks to Ryan Niebur
      (LP: #371569).
    - Change directory out of the way of schroot problems.

  [ Siegfried-Angel Gevatter Pujals ]
  * grab-merge:
     - Show an error message if the package doesn't exist.
     - Be paraonic and add "--one-file-system" to the rm call.
     - Delete the directory just after creating it if the package
       doesn't exist.

  [ Iain Lane ]
  * ubuntutools/lp/lp_functions.py,
    ubuntutools/lp/udtexceptions.py:
    - Add new public functions that expose features from LP API
    - Modify isLPTeamMember to use LP API
  * requestsync
    - Use new functions to check if user can upload requested package directly
      instead of checking team membership
    - Default to current development release if no release is specified on
      commandline
    - Correct bug supervisor team to ubuntu-bugcontrol (LP: #374563)
    - Remove team names from sponsorship message - makes the function much
      simpler
  * buildd
    - Check if user has upload privileges instead of checking for team
      membership when seeing if operations are permitted

  [ Colin Watson ]
  * update-maintainer:
    - Convert to getopt so that '--section main' works as well as
      '--section=main'.

  [ Anders Kaseorg ]
  * ubuntutools/lp/functions.py:
    - Simplify isLPTeamMember.

  [ Nathan Handler ]
  * pull-debian-source: Modify to work for packages not in main (LP: #379822)

 -- Nathan Handler <nhandler@ubuntu.com>  Sat, 23 May 2009 20:41:50 +0000

ubuntu-dev-tools (0.73) karmic; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
    - Fallback to calling lsb_release if /etc/lsb-release doesn't
       exist; this makes it possible to run pbuilder-dist on Debian.

  [ Nathan Handler ]
  * pull-debian-source:
    - Use Getopt::Long

  [ Colin Watson ]
  * submittodebian:
    - New release cycle; use "karmic" usertag.
  * dch-repeat:
    - Drop EOLed gutsy and add karmic.
  * pull-lp-source:
    - Set default release to karmic.
  * reverse-build-depends:
    - Set default release to karmic.
  * bash_completion/pbuilder-dist:
    - Add karmic.
    - Add squeeze.
  * requestsync:
    - Send a "Content-Type: text/plain; charset=UTF-8" header (LP: #246307).

  [ Daniel Hahler ]
  * grab-merge: Output error message in case wget/rsync fails.

 -- Daniel Hahler <ubuntu@thequod.de>  Thu, 30 Apr 2009 22:18:38 +0200

ubuntu-dev-tools (0.72) jaunty; urgency=low

  [ Jonathan Davies ]
  * README.updates: Added - lists steps to take when updating this package.
  * grab-merge: Added --help option and manpage (LP: #349109).

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Add squeeze as a Debian distribution. Thanks to Marco Rodrigues.

  [ Nathan Handler ]
  * pull-debian-source:
    - Add support for etch/oldstable
    - Make script work for codenames (etch, lenny, squeeze, sid)

  [ Ryan Kavanagh ]
  * Ported devscripts' build-rdeps to Ubuntu and replaced
    reverse-build-depends. Updated it's manpage. (LP: #272273)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - Fully handle missing build log directories (LP: #342154).
    - More generalized approach to Distro-specific logic (LP: #342158).

  [ Scott Kitterman ]
  * dgetlp:
    - Port to hashlib module instead of md5 (deprecated in Python 2.6)
  * Bump minimum python-all-dev version to 2.5

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2009 22:51:14 -0400

ubuntu-dev-tools (0.71) jaunty; urgency=low

  * requestsync: Fix unclosed string literal (LP: #346794)

 -- Iain Lane <laney@ubuntu.com>  Sun, 22 Mar 2009 14:40:19 +0000

ubuntu-dev-tools (0.70) jaunty; urgency=low

  [ Mitsuya Shibata ]
  * requestsync: Added -e option for FeatureFreezeException explanations and
    updated manpage.

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 19 Mar 2009 19:54:13 +0000

ubuntu-dev-tools (0.69) jaunty; urgency=low

  * mk-sbuild-lv: add --force-yes when installing $BUILD_PKGS (needed for
    Dapper at least)
  * mk-sbuild-lv: update sed command to use '-i' instead of redirecting
    output to the opened file

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Mar 2009 11:28:38 -0500

ubuntu-dev-tools (0.68) jaunty; urgency=low

  * debian/control: Moved debootstrap to Recommends from Depends.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 15 Mar 2009 15:30:48 +0000

ubuntu-dev-tools (0.67) jaunty; urgency=low

  [ Jonathan Davies ]
  * mk-sbuild-lv: Changed default behaviour so that the initial build and log
    directories are not created on first run; instead read settings file and
    check if they exist (LP: #342154).
  * requestsync: Reverted old madison.php workaround (LP: #183346).

  [ Ryan Kavanagh ]
  * mk-sbuild-lv: Added support for Debian chroots. Updated manpage.
    (LP: #342158)

  [ Mitsuya Shibata ]
  * pull-debian-source: Detect existence of dget in multi-path environment.

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 14 Mar 2009 22:40:05 +0000

ubuntu-dev-tools (0.66) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add "debootstrap" as a Recommends (LP: #334848).
  * pbuilder-dist:
     - Better error messages if cowbuilder/pbuilder/debootstrap isn't installed.

  [ Marco Rodrigues ]
  * Remove workaround for Debian madison, it works fine now.

  [ Nathan Handler ]
  * pull-debian-source:
    - Check if 'dget' is available
    - Update Copyright/License info
  * debian/copyright:
    - Update my copyright information

  [ Jonathan Davies ]
  * Added grab-merge from merges.ubuntu.com (LP: #155098).

 -- Jonathan Davies <jpds@ubuntu.com>  Mon, 09 Mar 2009 17:01:19 +0000

ubuntu-dev-tools (0.65) jaunty; urgency=low

  [ Colin Watson ]
  * manage-credentials: Fix typo.

  [ Jonathan Davies ]
  * requestsync: Only check existing reports if the --lp flag is used.

  [ Luca Falavigna ]
  * Add per-package upload permission checks:
    - ubuntutools/lp/functions.py: implement isPerPackageUploader.
    - requestsync: check if submitter has per-package upload permission
      using isPerPackageUploader function and adjust report accordingly.

  [ Iain Lane ]
  * requestsync: Drop "please" in bug titles, per recent discussion on the
    ubuntu-bugsquad ML.

 -- Jonathan Davies <jpds@ubuntu.com>  Tue, 03 Mar 2009 19:55:19 +0000

ubuntu-dev-tools (0.64) jaunty; urgency=low

  * Import urllib2 and sys in lp/functions.py, fixing requestsync.
  * Import ubuntutools.common explicitely in buildd and requestsync to get the
    https_proxy fix.

 -- Loic Minier <lool@dooz.org>  Fri, 06 Feb 2009 12:18:13 +0100

ubuntu-dev-tools (0.63) jaunty; urgency=low

  * debian/links: add it (forgot to do so before).
  * bash-completion/pbuilder-dist: recognize cowbuilder- and -jaunty.
  * pbuilder-dist:
     - Fixed a bug which broke pbuilder-dist when "build" was omited; just
       giving a .dsc works now.
     - {p,cow}builder-dist will now complain if you try to build a .changes
       file (or anything else that isn't a .dsc).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 05 Feb 2009 16:19:03 +0100

ubuntu-dev-tools (0.62) jaunty; urgency=low

  * Fix ubuntutools.lp.libsupport import in lp-set-dup.

 -- Loic Minier <lool@dooz.org>  Wed, 04 Feb 2009 12:04:47 +0100

ubuntu-dev-tools (0.61) jaunty; urgency=low

  [ Terence Simpson ]
  * dgetlp: Replaced Bash version with a new Python script.

  [ Luca Falavigna ]
  * setup.py: install ubuntutools/lp files.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 03 Feb 2009 13:34:42 +0100

ubuntu-dev-tools (0.60) jaunty; urgency=low

  [ Jonathan Davies ]
  * ubuntutools/common.py: Now split into multiple files depending on
    function.
  * Adjusted imports on all files as necessary for the change above.
  * Removed ubuntutools/misc.py's mkdir function - superseded by
    os.makedirs().
  * dgetlp: Improved error message to show that dgetlp only accepts HTTP
    URLs (LP: #322051).

  [ Iain Lane ]
  * requestsync: Only attempt to change bug importance if in ubuntu-dev, as it
    will fail otherwise (LP: #320984).
  * ubuntutools/lp/functions.py: Rename urlopener import as it conflicts with
    a variable, causing an error.

  [ Luca Falavigna ]
  * pull-debian-source: do not fail if package name contains a hypen.
  * buildd: display help message if no parameters are passed.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 01 Feb 2009 10:55:42 +0000

ubuntu-dev-tools (0.59) jaunty; urgency=low

  * Move /etc/bash_completion.d/pbuilder-dist/pbuilder-dist created in
    pre-0.30 versions to /etc/bash_completion.d/pbuilder-dist in the preinst.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 18:02:55 +0100

ubuntu-dev-tools (0.58) jaunty; urgency=low

  [ Loic Minier ]
  * Fix a bunch of hyphen-used-as-minus-sign lintian informational tags.
  * Don't repeat Section in the binary package's control chunk (pleases
    lintian).
  * New script, lp-set-dup, allows marking a bug and all its dups as a
    duplicate of a new main bug.
   * Re-add debian/pycompat to have an idempotent clean:: as cdbs creates the
     file during clean; Debian #512300.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 17:45:26 +0100

ubuntu-dev-tools (0.57) jaunty; urgency=low

  * requestsync: Skip existing bug check if no credentials are
    found (LP: #318120).

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 22:02:39 +0000

ubuntu-dev-tools (0.56) jaunty; urgency=low

  * manage-credentials: Tighted security by making credentials files and
    folder world unreadable.
  * common.py: Improved no credentials found error message to show which
    consumer token is needed.
  * requestsync: Catch credentials error to hide traceback.
  * Moved common.py to ubuntutools/ subdirectory to avoid possible conflicts
    in Python packaging and fixed all imports as necessary.
  * debian/ubuntu-dev-tools.install: Removed common.py entry.

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 11:32:33 +0000

ubuntu-dev-tools (0.55) jaunty; urgency=low

  * manage-credentials: Use common.py's mkdir function to create as many
    subdirectories as necessary for the credentials directory (LP: #317317).

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 15 Jan 2009 12:33:31 +0000

ubuntu-dev-tools (0.54) jaunty; urgency=low

  * manage-credentials:
    - Save credentials to ~/.cache/lp_credentials/ by
      default.
    - Set service option default to edge.
  * doc/manage-credentials.1: Update as necessary for the above.
  * common.py:
    - When credentials are not found, ask user to see
      manage-credentials manpage.
    - Load all token files for the consumer specified in the above
      directory as necessary.

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 14 Jan 2009 19:39:35 +0000

ubuntu-dev-tools (0.53) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/copyright:
     - Add information about manage-credentials.

  [ Daniel Holbach ]
  * debian/control: replace 'sb-release' with lsb-release, make package
    installable again.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 14 Jan 2009 16:27:34 +0100

ubuntu-dev-tools (0.52) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist.new:
    - Add compatibility for cowbuilder.
    - Fix the mainonly support.
    - Rename build.log to last_operation.log.
  * pbuilder-dist, pbuilder-dist.new:
    - Replace pbuilder-dist with pbuilder-dist.new.
  * debian/links:
    - Symlink /usr/bin/cowbuilder-dist to /usr/bin/pbuilder-dist, and the
      same with the manpage.
  * debian/control:
    - Add cowdancer as alternative recommends to pbuilder.
  * doc/pbuilder-dist.1:
    - Update it to explain the usage for the new pbuilder-dist script.
  * doc/mk-sbuild-lv.1:
    - Fix an error (and get ride of a lintian warning).

  [ Nathan Handler ]
  * pull-debian-source:
    - Pass -xu arguments to dget to be consistant with pull-lp-source
    - Add support for packages with a name beginning with "lib" (LP: #314732)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - add --skip-updates to allow building security-only chroots.
    - add "apt-utils" as a default package for sane dist-upgrades.

  [ Jonathan Davies ]
  * buildd: Don't show arch override message if operation to perform is
    'status'.
  * requestsync: If package is new, check the Ubuntu Archive team's bug list
    for possible duplicate requests.
  * doc/manage-credentials.1: Written up.
  * doc/requestsync.1: Changed documentation to launchpadlib related-stuff.

  [ Luca Falavigna ]
  * requestsync:
    - Catch AssertionError exception if rmadison returns with an error.

  [ Markus Korn ]
  * Added manage-credentials, a tool to create (and manage) credentials
    which are used to access launchpad via the API.
  * Ported: hugdaylist, massfile, grab-attachment and requestsync to
    launchpadlib.
  * Other misc. fixes and tweaks.
  * Install common.py to correct location with py_modules and remove
    hardcoded path from files.

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 14 Jan 2009 13:21:35 +0000

ubuntu-dev-tools (0.51) jaunty; urgency=low

  * buildd: Added checks for arch-indep packages and packages which have no
    builds in a release.
  * hugdaylist: String improvements.
  * requestsync:
    - Use optparse instead of getopt for option parsing.
    - Skip existing bug report check if python-launchpad-bugs is not
      installed.
    - Implemented sleeps to --lp bug reporting in case of a slow
      Launchpad to stop mass bug filing (LP: #311289).

 -- Jonathan Davies <jpds@ubuntu.com>  Tue, 30 Dec 2008 15:51:55 +0000

ubuntu-dev-tools (0.50.1) jaunty; urgency=low

  * Modified setup.py to actually install pull-debian-source.

 -- Jonathan Davies <jpds@ubuntu.com>  Tue, 30 Dec 2008 15:39:35 +0000

ubuntu-dev-tools (0.50) jaunty; urgency=low

  [ Nathan Handler ]
  * Add pull-debian-source script (LP: #289141)
    - debian/copyright:
      + Add myself to the Upstream Authors and Copyright sections
      + Add pull-debian-source to the License section
    - Add doc/pull-debian-source.1

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control: Add perl-modules and libwww-perl as Recommended packages

  [ Iain Lane ]
  * pbuilder-dist.new: Add 'experimental' to list of known Debian releases.
    pbuilder-experimental works fine with pbuilder-dist.new.

  [ Jonathan Davies ]
  * buildd: Show which architectures are available in help and created a
    list of them for easy addition of new ones.
  * requestsync:
    - Readd sponsorship flag and related documentation in
      doc/requestsync.1 (LP: #270605).
    - Do not check package's Launchpad bug list page if the package to be
      synced is a new package. As this page does not exist for
      it (LP: #312297).

 -- Jonathan Davies <jpds@ubuntu.com>  Mon, 29 Dec 2008 18:45:02 +0000

ubuntu-dev-tools (0.49) jaunty; urgency=low

  [ Sarah Hobbs ]
  * Add armel as an arch to buildd

  [ Adrien Cunin ]
  * Added ${misc:Depends} to dependencies to make lintian quiet

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 30 Nov 2008 23:23:01 +0100

ubuntu-dev-tools (0.48) jaunty; urgency=low

  * common.py, checkReleaseExists() and checkSourceExists(): Add support for
    specifying pockets (e. g. release name "intrepid-proposed").
  * buildd: Strip off pocket from release name when parsing the builds page,
    so that this script works for pockets, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Nov 2008 10:15:25 +0100

ubuntu-dev-tools (0.47) jaunty; urgency=low

  [ Kees Cook ]
  * dch-repeat: drop "feisty" from the list of known releases.
  * mk-sbuild-lv:
    - only use --no-install-recommends on gutsy and later.
    - catch errors produced by "finish.sh".

  [ James Westby ]
  * requestsync: tell the user when you are waiting for input from them after
    giving the sponsorship warning, rather than appearing to hang.

  [ Michael Casadevall ]
  * buildd: Fixed rescore (tested by Sarah Hobbs)
  * submittodebian: Changed default tag to Jaunty
  * pbuilder-dist: Added jaunty to ubuntu releases
  * pull-lp-source: Made jaunty the default
  * dch-repeat: Added jaunty

 -- Michael Casadevall <sonicmctails@gmail.com>  Sat, 08 Nov 2008 06:33:00 -0500

ubuntu-dev-tools (0.46) intrepid; urgency=low

  [ Daniel Hahler ]
  * submittodebian: use "intrepid" for Usertags (LP: #276073)

  [ Matt Zimmerman ]
  * add new program 'ubuntuiso' which prints information about Ubuntu isos by
    extracting files from them
  * Add Recommends: genisoimage for ubuntuiso

  [ Colin Watson ]
  * update-maintainer: Convert to plain #! /bin/sh.

  [ Cesare Tirabassi ]
  * remove -X option from grep-dctrl. It doesn't obtain the wished behaviour.

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 02 Oct 2008 22:34:44 +0100

ubuntu-dev-tools (0.45) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * common.py:
     - Trying to read from a locked sqlite cookie database isn't a fatal
       error anymore.

  [ Adrien Cunin ]
  * update-maintainer:
     - check at the beginning of the script that the necessary files are
       readable/writable, and note which control files we are going to modify
     - at the end, only modify those control files, so that the script doesn't
       return 1 anymore when it was actually successful
  * pbuilder-dist:
     - Eliminated some warning with a better check for whether a given distro
       already has a pbuilder chroot in $BASE_DIR, when that distro is not
       known by the script
     - Added intrepid as a known distro
  * Return to previous versioning, without the ubuntu1 bit

  [ Jonathan Patrick Davies ]
  * buildd: Revert arch:status string format.

  [ Cesare Tirabassi ]
  * reverse-build-depends:
    - add -X option to grep-dctrl so that it only works with exact matches
      (LP: #272273).

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 24 Sep 2008 16:01:09 +0200

ubuntu-dev-tools (0.44ubuntu1) intrepid; urgency=low

  * Bazaar revision 203.

  [ Colin Watson ]
  * Fix a number of minor glitches in manual pages.

  [ Jonathan Patrick Davies ]
  * debian/control:
    - Improved description.
    - Wrapped Depends line and bumped debhelper build-dependency version to 6.
  * debian/compat: Changed to 6.
  * Moved https_proxy dropping code to common.py.
  * requestsync: Check for already existing sync requests before filing a new
    one.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 02 Sep 2008 21:43:49 +0100

ubuntu-dev-tools (0.43ubuntu1) intrepid; urgency=low

  * Bazaar revision 195.

  [ Jonathan Patrick Davies ]
  * common.py:
    - If loading a cookie file raises an exception exit.
    - Improve cookie file writing.
    - New function: isLPTeamMember() - checks if the user is a member of the
      Launchpad team using cookies for authentication.
    - New function: packageComponent() - returns which component a package in
      Ubuntu is in.
  * requestsync:
    - Return an error when the script is unable to connect to
      packages.debian.org (LP: #261916).
    - Adapt team checking with the function above.
  * buildd:
    - Adapt privilege checking code to the new function above.
    - Check which component the package is in.

  [ Ryan Kavanagh ]
  * dgetlp.1: New manpage
  * dgetlp: fix typo in usage
  * hugdaylist.1: New manpage
  * s/requestsync/pull-lp-source/g in doc/pull-lp-source.1
  * mk-sbuild-lv.1: New manpage

  [ Karl Goetz ]
  * Add a Recommends: on ca-certificates (LP: #247157).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 31 Aug 2008 11:40:30 +0200

ubuntu-dev-tools (0.42ubuntu1) intrepid; urgency=low

  [Jonathan Patrick Davies]
  * requestsync: Exit when connecting to Launchpad fails.
  * doc/requestsync.1: Document new -d flag.
  * common.py: New functions: checkReleaseExists() and checkSourceExists().
  * buildd and pull-lp-source: Adapt code to use new functions above.

  [ Jelmer Vernooij ]
  * requestsync: Add -d option to allow overriding the Debian distro to sync
  from. (LP: #253497)

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 24 Aug 2008 21:43:30 +0100

ubuntu-dev-tools (0.41) intrepid; urgency=low

  [ Loic Minier ]
  * Replace .BB in doc/pbuilder-dist.1 with a newline to fix a syntax error.
  * Drop spurious tab in buildd.
  * When https_proxy is in the environment, output a warning and disable it as
    urllib/urllib2 don't support it; see LP #122551.

  [ Kees Cook ]
  * common.py: allow for multiple firefox instances, check all possible
    cookie files.

 -- Kees Cook <kees@ubuntu.com>  Wed, 20 Aug 2008 10:58:24 -0700

ubuntu-dev-tools (0.40ubuntu3) intrepid; urgency=low

  * Import urllib2.

 -- Loic Minier <lool@dooz.org>  Mon, 18 Aug 2008 12:07:27 +0200

ubuntu-dev-tools (0.40ubuntu2) intrepid; urgency=low

  * requestsync: Correct print statement redirect to sys,stderr.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Mon, 18 Aug 2008 10:59:59 +0100

ubuntu-dev-tools (0.40ubuntu1) intrepid; urgency=low

  * Bazaar revision 174.
  * buildd: Code cleanup on single arch options.
  * doc/buildd.1: Created.
  * doc/requestsync.1: Added note about sponsorship detecting.
  * requestsync: Suggest using the --lp flag when mailing a request encounters
    a failure.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sat, 16 Aug 2008 23:38:41 +0100

ubuntu-dev-tools (0.39ubuntu1) intrepid; urgency=low

  * Bazaar revision 169.

  [ Jonathan Patrick Davies ]
  * common.py: Use os.path.expanduser() instead of os.environ.
  * buildd:
    - Added optparse support for option handling.
    - Added support to request the rebuilding or rescoring of only one
      architecture.
    - Various other improvements.
  * hugdaylist: Improved number of bugs option handling.
  * get-branches: Improved option handling.

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add sbuild as an alternative recommends to pbuilder.
  * what-patch, pull-debian-debdiff, mk-sbuild-lv, dch-repat, debian/copyright:
     - Change the license of all scripts from Kees Cook to the GPL version 3
       or later.
     - Order the script names alphabetically in debian/copyright.
  * common.py:
     - Add functions mkdir and readlist.

  [ Iain Lane ]
  * pull-lp-source: Better handle errors when going to LP

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Thu, 14 Aug 2008 12:21:45 +0100

ubuntu-dev-tools (0.38ubuntu1) intrepid; urgency=low

  [ Jonathan Patrick Davies ]
  * requestsync: Check if user is a member of ubuntu-core-dev if sync request
    is for a package in main.
  * common.py: Change cookie file permissions to read and write only by user.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 12 Aug 2008 14:52:34 +0100

ubuntu-dev-tools (0.37ubuntu1) intrepid; urgency=low

  [ Jonathan Patrick Davies ]
  * get-branches:
    - Open the teams code page before making a new directory.
    - Now check team option before anything else.
    - Check that the team has branches before downloading.
  * doc/get-branches.1: Created.
  * hugdaylist: Improved argument and error handling.
  * pull-lp-source:
    - Use optparse for option handling.
    - Check that the 'release' and 'package' actually exist on Launchpad.
    - Use subprocess for dget calls.
  * buildd: Imported from Martin Pitt's scripts.
  * common.py: Python module to be used to enable the use of cookies
    to authenticate with Launchpad.
  * debian/ubuntu-dev-tools.install: Added line to install common.py above to
    the correct location.
  * requestsync:
    - Use the functions in the common.py file above to authenticate with
      Launchpad.
    - Using the Launchpad cookie file, validate that the user is a member of
      the ubuntu-dev team on Launchpad. Thus, checking if the user needs
      sponsership or not (LP: #130648).
  * doc/requestsync.1: Removed mention of -s flag. Obsoleted by the above.
  * massfile:
    - Use the functions in the common.py file above to authenticate with
      Launchpad.
  * debian/control: Changed XS-Python-Version to >= 2.5.

  [ Siegfried-Angel Gevatter Pujals ]
  * Add the GNU General Public License header to all scripts.
  * Remove files AUTHORS (it duplicated content from debian/copyright) and
    README (superseded by the manpages).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 12 Aug 2008 14:48:35 +0100

ubuntu-dev-tools (0.36ubuntu1) intrepid; urgency=low

  [ Jonathan Patrick Davies ]
  * doc/ Created new manpages for:
    - what-patch.1.
    - dch-repeat.1.
    - grab-attachment.1.
  * doc/requestsync.1: Described variables used by requestsync in man
    page. (LP: #237595)
  * hugdaylist:
    - Added code to handle exceptions and short version of GPL.
    - Rewrote option handling with optparse.
    - Filter bugs subscribed to the ubuntu-archive team.
  * get-branches:
    - Rewrote option handling with optparse.
    - Added short version of GPL to header.
    - Fixed regular expressions to work with new Launchpad interface.
    - Use subprocess.call() on Bazaar instead of os.system().
  * debian/copyright: Updated Authors and copyrights.

  [ Siegfried-Angel Gevatter Pujals ]
  * Change the versioning scheme from 0.XX to 0.XXubuntu1. Delete
    debian/source.lintian-overrides, as with this it isn't necessary anymore.
  * General manpage cleanup (fix typos, use the same section names in all
    manpages, etc).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 10 Aug 2008 22:02:05 +0100

ubuntu-dev-tools (0.35) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * doc/update-maintainer.1:
     - Remove the reference to the --no-changelog option from the manpage.
  * requestsync:
     - If the email interface is used, check if DEBEMAIL is set before anything
       else (LP: #254632).
  * massfile, examples/massfile.instructions:
     - Make it possible to give the created bugs a determined status.
  * debian/control:
     - Bump Standards Version to 3.8.0.
  * debian/rules:
     - It's not necessary anymore to remove usr/lib.
  * setup.py:
     - Order the scripts list alphabetically and add pull-lp-source.

  [ Iain Lane ]
  * Add pull-lp-source, which get source packages from LP to avoid mirror lag.
  * pbuilder-dist.new:
     - Set mirror and component for Debian distros.
     - Use local apt cache if available.
  * massfile:
     - Modify it to work with Firefox 3 cookies, taking code from requestsync.
     - Set the status to Confirmed, by default.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 09 Aug 2008 13:58:23 +0200

ubuntu-dev-tools (0.34) intrepid; urgency=low

  * update-maintainer: Remove dangling reference to --nochangelog
    in usage function.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 28 Jul 2008 15:50:38 +1000

ubuntu-dev-tools (0.33) intrepid; urgency=low

  * update-maintainer: Stop mentioning "Modify Maintainer: value blabla" since
    it is a required global policy anyway and totally pointless changelog
    noise.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Jul 2008 12:29:57 +0100

ubuntu-dev-tools (0.32) intrepid; urgency=low

  [ Iain Lane ]
  * requestsync: Fix bug where requestsync would fall over when requesting
    sync for package with no local changes.

  [ Kees Cook ]
  * dch-repeat: drop edgy, add intrepid.  Update Copyright years.

  [ Mario Limonciello ]
  * mk-sbuild-lv: Add lpia build support.
  * mk-sbuild-lv: Copy mirror used for debootstrap into chroot too.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 17 Jul 2008 11:20:49 -0500

ubuntu-dev-tools (0.31) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * pbuilder-dist.new:
     - Rewrite the script in Python to make it more robust and faster.
  * what-patch:
     - If cdbs-edit-patch is used, output "cdbs (patchsys.mk)" instead of
       just "cdbs" (LP: #195795).
  * check-symbols:
     - Add a brief explanation about why sudo privilegies are required
       in order to run this script (LP: #194622).
     - End with exit code 1 if there's an error.
  * suspicious-source:
     - Whitelist C# files (LP: #225691): *.cs.
     - Whitelist manpages: *.[0-9].

  [ Daniel Hahler ]
  * requestsync:
     - Use debian_bundle.changelog.Version for version comparison in
       debian_changelog.
     - Fix --lp for Firefox 3 (LP: #208808):
       It now tries ~/.lpcookie.txt, ~/.mozilla/*/*/cookies.sqlite and
       ~/.mozilla/*/*/cookies.txt to find a Launchpad cookie file.
       Also added a hint that you can create a valid file, by logging into
       Launchpad with Firefox.
     - Added confirm loops, which displays the message to be send/posted and
       either allows to edit (or forces to, in case of Ubuntu changes).
       (LP: #194613, #194615)
       This adds a convient edit_report method, which gets used both from the
       Launchpad and mail code path.
     - Do not fallback to submitting by email, if posting to Launchpad failed.
       This hasn't been requested and therefore should not get done.
     - post_bug: Catch IOError when setting bug importance (LP: #190061)
     - mail_bug: Catch socket.error (LP: #190739)

  [ Kees Cook ]
  * mk-sbuild-lv
    - don't install recommended packages during chroot install.
    - allow customization of schroot.conf suffix and LV/snapshot sizes.
  * what-patch:
    - restore previous output behavior, added logic to verbose test instead.
    - added details for each patch system report.
  * pull-debian-debdiff:
    - parse .dsc file for required source files.
    - switch to GPLv3
  * debian/control: add Depends needed for pull-debian-debdiff.
  * debian/copyright:
    - updated pull-debian-debdiff, which is now GPLv3.
    - adjusted Copyright lines to make lintian happy.

 -- Kees Cook <kees@ubuntu.com>  Fri, 13 Jun 2008 11:43:24 -0700

ubuntu-dev-tools (0.30) hardy; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * pbuilder-dist-simple, doc/pbuilder-dist-simple.1, setup.py:
     - Add the original pbuilder-dist script as pbuilder-dist-simple.
  * setup.py:
     - Really install reverse-build-depends (LP: #203523).
  * debian/source.lintian-overrides:
     - Override lintian's useless warnings (about this being a NMU).

  [ Adrien Cunin ]
  * debian/ubuntu-dev-tools.install: install bash_completion/pbuilder-dist in
    /etc/bash_completion.d/ instead of /etc/bash_completion.d/pbuilder-dist/
  * bash_completion/pbuilder-dist: apply the completion not only to
    pbuilder-dist but also to pbuilder-{hardy,sid,etc.}

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Tue, 08 Apr 2008 16:33:52 +0200

ubuntu-dev-tools (0.29) hardy; urgency=low

  * grab-attachments, setup.py: added grab-attachments tool. You give it bug
    numbers, it gets you their attachments. Useful for sponsoring.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 10 Mar 2008 11:31:50 +0100

ubuntu-dev-tools (0.28) hardy; urgency=low

  [ Adrien Cunin ]
  * pbuilder-dist:
     - Fixed minor bash syntax error
     - Removed quotes around the path when using --aptconfdir, otherwise
       pbuilder create fails

  [ Kees Cook ]
  * mk-sbuild-lv: add --personality option from Jamie Strandboge (LP: #199181)
  * check-symbols: rename temp files to avoid .so versioning confusion.

 -- Kees Cook <kees@ubuntu.com>  Thu, 06 Mar 2008 11:05:02 -0800

ubuntu-dev-tools (0.27) hardy; urgency=low

  [ Andrew Hunter ]
  * ppaput:
    - Separated ppaput script from backend python modules (LP: #192184).
    - Switched from homegrown option parseing to Optparse, much more
      robust and less code duplication.

  [ Daniel Holbach ]
  * README, debian/rules, doc/ppaput.1.docbook, ppaput, setup.py: removed
    ppaput for now. It has shortcomings and is not actively used in the
    sponsoring process (LP: #194634).

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * This upload removes accidentaly uploaded files (LP: #194635, #194618,
    #194621).
  * Remove executable bit from AUTHORS file (LP: #194619).
  * debian/control:
     - Change the Vcs-Bzr address to the correct one.
     - Move the reportbug dependency to Recommends.
     - Drop docbook2x build dependency (see Daniel's changes).
  * Move ppaput.py (the module) into new ubuntutools/ directory and
    remove it's shabang.
  * submittodebian:
     - Check if reportbug is installed and if it isn't throw an error.
  * suspicious-sources:
     - Ignore .in files.
  * pbuilder-dist:
     - Apply patch from James Westby to fix a problem where it always
       wanted to get the architecture to use as an option if a symlink
       was being used .
     - Fix a recently introduced problem where pbuilder-dist would always
       want to know the architecture if a symlink was being used. Thanks to
       Adrien Cunin and James Westby for their help on this (LP: #194633).
     - Escape many variables to avoid possible problems there.
     - Reorganize the code a bit and comment it.
     - Accept "upgrade" as an alias for "update".
     - Hide lsb_release's traceback if pbuilder-dist is manually aborted
       while the distribution was being detected.
  * 404main:
     - Try to filter out entries from Debian and PPAs, thanks to Adrien
       Cunin! (LP: #194704)
     - Add limited support for multiple distributions (and update they
       manpage to reflect this).
     - TODO: Use python-apt instead of lots of pipes.
  * debian/copyright.
     - Add ppaput (the executable has been removed for now -see above-,
       but there is still the module in the source package).
  * debian/pycompat:
     - Remove it, as it is not necessary for python-central.

  [ Terence Simpson ]
  * dgetlp:
     - Fix bug where optaining the .orig.tar.gz would fail if the package
       name contains hypens.
     - Add support for native packages.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 24 Feb 2008 19:11:06 +0100

ubuntu-dev-tools (0.26) hardy; urgency=low

  [ Stephan Hermann ]
  * pbuilder-dist: fixed a bug with the *sudo call.
    changed from $SUDOREPLACE "pbuilder" to $SUDOREPLACE -- pbuilder ...

  [ Daniel Hahler ]
  * requestsync:
    * If interaction is required (for an explanation to drop the Ubuntu
      changes), edit the report in the sensible-editor.
      When interaction is not required, ask the user if she wants to edit.
      (LP: #190351)
    * Exit, if versions in Ubuntu and Debian are the same already.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Add manpages for update-maintainer and 404main.
  * Move pbuilder-dist.bash_completion into new bash_completion/
    directory and tell dh_install to take care of the stuff there.
  * Let update-maintainer also accept --no-changelog (in addition to
    the current --nochangelog), improve its error messages and change
    the default section to universe.
  * Add AUTHORS section to doc/check-symbols.1, and little changes to
    doc/suspicious-source.1.
  * Fix some issues with the new pbuilder-dist code.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 17 Feb 2008 19:35:46 +0100

ubuntu-dev-tools (0.25) hardy; urgency=low

  [ Michael Bienia ]
  * requestsync:
    + Add work-around for a bug in Debian's madison.php not returning only the
      'source' line (LP: #183346).
    + Add support to file sync requests with python-launchpad-bugs (--lp)
      (LP: #147994).
    + Add line editing during input.
  * doc/requestsync.1:
    + Document new requestsync options.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * what-patch:
     - Print a list of files that have been modified outside the
       debian/ directory (LP: #174933).
     - Add -h and -q options.
     - Add proper exit values.
  * debian/control:
     - Bump standards version to 3.7.3.
     - Move python-central to Build-Depends-Indep.
     - Rename XS-Vcs-{Bzr,Browser} fields to Vcs-{Bzr,Browser}.
     - Bump minimum cdbs version to 0.4.49.
  * Add Albert Damen to the Authors and Copyright Holders.
  * Change my email address (to @ubuntu.com) everywhere.
  * Add reverse-build-depends script and a manpage for it.
  * Add requestsync and reverse-build-depends and massfile to
    debian/copyright.
  * Update README (add information for many missing scripts).
  * Add the text "ubuntu-dev-tools" to the footer of all manpages.
  * Remove duplicated ubuntu-dev-tools recommends (it's already a
    dependency).

  [ Stephan Hermann ]
  * mk-sbuild-lv: check for debootstrap release names in
    /usr/share/debootstreap/releases and not in /usr/lib/debootstrap/releases
  * pbuilder-dist:
    - check if $SYSCACHE is not set and stay with the default, if
      SYSCACHE = 0 use the default from pbuilderrc or honor $DEBCACHE
      (LP: #156183)
    - removed $BINARCH check in pbuilder call, and set --debootstrapopts
      directly, it doesn't matter when it's always set.  The Subshell call
      didn't work  (LP: #175183)
    - added support for --http-proxy, honours now $http_proxy or $HTTP_PROXY
    - removed $COMPONENTS_LINE from pbuilder call, data is crippled in the
      pbuilder chroot. Instead of this behaviour add
      $BASE_DIR/etc/$DISTRIBUTION/apt.conf/ directory and install a sane
      sources.list, depending on the releases of Ubuntu and add --aptconfdir to
      pbuilder call (LP: #175183)
    - add support for gksudo|kdesudo|sudo depending on $DESKTOP_SESSION.
      or if $PBUILDAUTH is set to something else, it will be used instead of
      sudo|gksudo|kdesudo (LP: #172943)
  * pbuilder-dist.bash_completion: (LP: #175728)
    - added bash_completion instructions
  * debian/rules:
    - install pbuilder-dist.bash_completion to /etc/bash_completion.d/

  [ Daniel Holbach ]
  * hugdaylist: drop one Ubuntu filter statement.

  [ Kees Cook ]
  * what-patch: change default operation back to quiet mode -- script is used
    in automated tools, so default behavior is best to leave unchanged.
  * check-symbols: check for binary list very carefully.
  * dch-repeat: add Hardy to distro list.
  * mk-sbuild-lv: use -r instead of -f for possible debootstrap symlinks.

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 22 Jan 2008 19:28:34 +0100

ubuntu-dev-tools (0.24) hardy; urgency=low

  [ Soren Hansen ]
  * Handle epochs properly in submittodebian.

  [ Luke Yelavich ]
  * update-maintainer: Default to main if rmadison gives no section output.
    (LP: #179533)

  [ Cesare Tirabassi ]
  * Add man page for check-symbols (Thanks to Albert Damen - LP: #174123).

  [ Michael Bienia ]
  * requestsync:
    + Set importance to wishlist.
    + Strip some more whitespace.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 06 Jan 2008 21:52:26 +1100

ubuntu-dev-tools (0.23) hardy; urgency=low

  [ Daniel Holbach ]
  * debian/control: bumped python-launchpad-bugs requirement to newest version
    and made it a Recommends. All scripts in ubuntu-dev-tools using it fail
    gracefully if it's not installed.
  * hugdaylist:
    - make use of text connector.
    - commentary in wiki output.

  [ Ryan Kavanagh ]
  * Updated requestsync(1) to reflect the addition of the -k <keyid> and
    removed a runon in DESCRIPTION.

  [ Mathias Gug ]
  * Add patch tag in submittodebian.

  [ Luke Yelavich ]
  * update-maintainer: Exit after displaying usage for --help.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * pbuilder-dist:
     - Move warning about changing $COMPONENTS's value to
       the right place (it should be displayed if the installed version
       of pbuilder is too old, not otherwise).
     - Asume action is "build" if no recognized action is passed but
       the next argument ends with .dsc (LP: #172940).
  * dgetlp:
     - Add "-h", "--help" and "--debug" (-d was already there)
  * 404main:
     - Cleanup and improvements
     - Identify Pete Savage as it's original author
     - Change the license to GPLv2+
  * AUTHORS, debian/copyright:
     - Add Pete Savage, as he wrote 404main
  * what-patch:
     - Ignore commented lines; patch by Daniel Hahler (LP: #163454)
  * doc/pbuilder-dist.1:
     - Update manpage to match recent changes (including those from 0.21).

  [ Colin Watson ]
  * Add a SYNOPSIS section to submittodebian(1) to clarify that it takes no
    arguments.
  * More *roff fixes.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 05 Dec 2007 09:57:41 +0100

ubuntu-dev-tools (0.22) hardy; urgency=low

  [ Luke Yelavich ]
  * update-maintainer-field:
    - Use rmadison instead of apt-cache madison.
    - Added --nochangelog command-line argument.
    - Check --section value.
    - Reformatted usage information.
    - Some code cleanup.

  [ Laurent Bigonville ]
  * requestsync:
    -Always pass -u option to rmadison now that it defaults to ubuntu

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Add dgetlp script (for «dgetting» from Launchpad)

  [ Lucas Nussbaum ]
  * Enabled support for Bugs/Debian/Usertagging in submittodebian

  [ Michael Vogt ]
  * debian/control:
    - depend on reportbug (>= 3.39ubuntu1) to have working usertag support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Nov 2007 12:15:20 +0100

ubuntu-dev-tools (0.21) hardy; urgency=low

  [ Laurent Bigonville ]
  * debian/control: add a space before the Homepage pseudo-field
  * pbuilder-dist: add hardy to the distribution list
  * pbuilder-dist: Use new --components options (LP: #140964)
  * pbuilder-dist: Add an empty --othermirror to override config in pbuilderrc

  [ Kees Cook ]
  * mk-sbuild-lv: fix gnupg install, adjust symlink creation

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Add get-build-deps and it's documentation.
  * Change the character encoding on all Python scripts to UTF-8
  * submittodebian: better changelog location detection
  * submittodebian: user-friendly error if python-debian isn't installed
  * hugdaylist: improve error handling (less backtraces, more nice messages)
  * pbuilder-dist: look for global variable $PBUILDFOLDER (LP: #160769)
  * pbuilder-dist: check pbuilder version and only use --components if supported
  * pbuilder-dist: don't chown "unknown distribution" warning if an environment
    of that release already exists (LP: #160769)

  [ Luke Yelavich ]
  * debian/control:
    - Move homepage to its own field in source package section.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 08 Nov 2007 09:57:31 +1100

ubuntu-dev-tools (0.20) hardy; urgency=low

  [ Cesare Tirabassi ]
  * suspicious-source: add *.hh to list of excluded files
  * suspicious-source: format excluded file list to fit 80 chars limit
  * suspicious-source: corrected typos in script and manual page

  [ Dainel Holbach ]
  * hugdaylist: only mention 'unassigned bugs'.

  [ Soren Hansen ]
  * Added missing python-debian dependency (needed by submittodebian)

 -- Soren Hansen <soren@ubuntu.com>  Tue, 23 Oct 2007 16:45:44 +0200

ubuntu-dev-tools (0.19) gutsy; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * requestsync: allow to customize the SMTP server (LP: #144224)
  * Add a short description for requestsync to the README file.

  [ Laurent Bigonville ]
  * pbuilder-dist: Fix error on chroot creation (LP: #146475)
  * requestsync: allow to customize the SMTP port

  [ Adrien Cunin ]
  * README: minor and cosmetic changes

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 07 Oct 2007 00:24:46 +0200

ubuntu-dev-tools (0.18) gutsy; urgency=low

  * requestsync: add an option to "Add latest debian version to the title of
    the bug" (LP: #132221)

 -- Marco Rodrigues <gothicx@sapo.pt>  Fri, 05 Oct 2007 14:16:34 +0200

ubuntu-dev-tools (0.17) gutsy; urgency=low

  * submittodebian: backed out changes from last upload. This needs Debian Bug
    445144 fixed.
  * debian/control: don't Depends on a version of reportbug Ubuntu does not
    have yet.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 05 Oct 2007 11:44:51 +0200

ubuntu-dev-tools (0.16) gutsy; urgency=low

  [ Lucas Nussbaum ]
  * Added support for Bugs/Debian/Usertagging in submittodebian.

  [ Daniel Holbach ]
  * setup.py: actually install submittodebian.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 05 Oct 2007 11:05:29 +0200

ubuntu-dev-tools (0.15) gutsy; urgency=low

  [ Laurent Bigonville ]
  * update-maintainer: correctly pass path to dch (LP: #141015)

  [ Daniel Holbach ]
  * ppaput:
    - fix indentation issues.
    - now respects the PPA section the package goes to (LP: #146161)
    - add comment to bug about how to test the resulting .deb (LP: #145895)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 01 Oct 2007 15:56:18 +0200

ubuntu-dev-tools (0.14) gutsy; urgency=low

  * massfile:
    - fixed bug where to find example files,
    - made url get checked beforehand.
    - fixed bug, where description and summary were not updated with the
      current source package.
  * examples/massfile.instructions: added example buglist-url.
  .
  Thanks Andrew Mitchell, for helping out by fixing and clever advise.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 27 Sep 2007 11:43:55 +0200

ubuntu-dev-tools (0.13) gutsy; urgency=low

  * massfile: added script to file mass-bugs.
  * debian/examples, examples/massfile.{instructions,list}: added example
    files.
  * setup.py: install massfile.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 27 Sep 2007 11:04:52 +0200

ubuntu-dev-tools (0.12) gutsy; urgency=low

  * hugdaylist: apply quick fix to not crash.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Sep 2007 09:43:30 +0200

ubuntu-dev-tools (0.11) gutsy; urgency=low

  [ Daniel Holbach ]
  * compare-packages, README: dropped compare-packages, debdiff has the same
    functionality, when used with --from --to or on *.changes files.
  * hugdaylist: prepare the list more carefully (filter out 'fixed committed'
    bugs and bugs that have ubuntu-*-sponsors subscribed.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Added a manpage for suspicious-source.
  * Fixed a bug in pbuilder-dist (it needed ftp.debian.org in sources.list to
    work with Debian).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Sep 2007 09:39:24 +0200

ubuntu-dev-tools (0.10) gutsy; urgency=low

  * compare-packages: added script to compare the contents of 'old' and 'new'
    binary packages of the same source package. Useful to spot moved files,
    dropped files, etc.
  * README: briefly document added scripts.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 14 Sep 2007 11:23:36 +0200

ubuntu-dev-tools (0.9) gutsy; urgency=low

  * Added submittodebian.1

 -- Soren Hansen <soren@ubuntu.com>  Thu, 13 Sep 2007 14:38:49 +0200

ubuntu-dev-tools (0.8) gutsy; urgency=low

  * Renamed revuput to ppaput.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 13 Sep 2007 14:35:18 +0200

ubuntu-dev-tools (0.7) gutsy; urgency=low

  [Colin Watson]
  * Fix *roff use (hyphens vs. dashes, start each sentence on a new line).

  [Daniel Holbach]
  * revuput: deal with the case of NEW packages.
  * hugdaylist: added a tool to write Wiki lists of bugs in <buglist url> as
    in https://wiki.ubuntu.com/UbuntuBugDay/20070912
  * debian/control: bumped python-launchpad-bugs version.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Sep 2007 09:28:54 +0100

ubuntu-dev-tools (0.6) gutsy; urgency=low

  * Because I'm a bozo, fix up the version of the devscripts
    Conflicts/Replaces.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Sep 2007 10:46:21 +1000

ubuntu-dev-tools (0.5) gutsy; urgency=low

  * Add requestsync and its manual page from devscripts. (LP: #138885)
  * Add Conflicts/Replaces against devscripts 2.10.7ubuntu3.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Sep 2007 01:14:04 +1000

ubuntu-dev-tools (0.4) gutsy; urgency=low

  * revuput: added a tool to upload packages to PPA and file sponsoring bugs
    automatically.
  * doc/revuput.1.docbook, debian/control, debian/rules: build manpage for it
    from DocBook.
  * setup.py: install it.
  * debian/control: add python-launchpad-bugs Depends.

  [Soren Hansen]
  * added submittodebian tool.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 07 Sep 2007 14:14:57 +0200

ubuntu-dev-tools (0.3) gutsy; urgency=low

  * debian/copyright: added Canonical copyright.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 04 Sep 2007 09:51:04 +0200

ubuntu-dev-tools (0.2) gutsy; urgency=low

  [ Martin Pitt ]
  * Add suspicious-source: Output a list of files which are not common source
    files. This should be run in the root of a source tree to find files which
    might not be the 'prefered form of modification' that the GPL and other
    licenses require.

  [ Luke Yelavich ]
  * Removed ubuntu-cd and ubuntu-sync. They are currently undergoing
    major reworking, and will be re-included when ready.

 -- Luke Yelavich <themuso@ubuntu.com>  Sat,  4 Aug 2007 08:30:01 +1000

ubuntu-dev-tools (0.1) gutsy; urgency=low

  * Initial Release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 01 Jun 2007 11:26:41 +0200
